GNU bug report logs - #57320
29.0.50; Lucid menus can't be operated with the mouse

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Stefan <monnier@HIDDEN>; merged with #57518; dated Sun, 21 Aug 2022 14:44:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 57320 <at> debbugs.gnu.org:


Received: (at 57320) by debbugs.gnu.org; 6 Sep 2022 10:23:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 06 06:23:45 2022
Received: from localhost ([127.0.0.1]:49641 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVVk8-0000Pm-R0
	for submit <at> debbugs.gnu.org; Tue, 06 Sep 2022 06:23:45 -0400
Received: from mail-pj1-f67.google.com ([209.85.216.67]:46936)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <visuweshm@HIDDEN>) id 1oVVk7-0000PZ-H5
 for 57320 <at> debbugs.gnu.org; Tue, 06 Sep 2022 06:23:43 -0400
Received: by mail-pj1-f67.google.com with SMTP id
 o15-20020a17090a3d4f00b002004ed4d77eso5407588pjf.5
 for <57320 <at> debbugs.gnu.org>; Tue, 06 Sep 2022 03:23:43 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:user-agent:message-id:date
 :references:in-reply-to:subject:cc:to:from:from:to:cc:subject:date;
 bh=YGCfyPMzl/uoxKmXIpXrCGaKOBWEmAVfLuYWiMKJ6jg=;
 b=JEsxc/A+Ay6UeEbbS1jgWXTXcp2RjsdphNBy6yglA2IDxTqVpafUPXA8bTArc20lR7
 s12cI+pDayM2RSfuO293qf58KnmS82Ki6MoPanIhZYBk5TBtbq5F/7/Iqheb2g4mgH5R
 t6L9kwKTwaOo4xJQdLxJkjjz36L7/BRJJ6rB/2e4LzhLAHBO0Ef1P9cKbyvqJcR23wQS
 EtMrpE0qVFkoB9ddA7LdzBvwhzWgvKc/ZJrOKLGYLqhSDBYzEH4x3V/wFMKK9w0P8a4W
 76ngwowiWCMwo06/6oi4mHrjyjdH750DBscKeJjAw8GuJxRuPPA1XwZbhHxBNek/9ToH
 71yw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:user-agent:message-id:date
 :references:in-reply-to:subject:cc:to:from:x-gm-message-state:from
 :to:cc:subject:date;
 bh=YGCfyPMzl/uoxKmXIpXrCGaKOBWEmAVfLuYWiMKJ6jg=;
 b=WePs5ekjPEG+yr9Wg5DR3bDkE/JeZaBauX27xuXxCZor5fkEgdD9nI2y1YRhUbuzCD
 2k8fyjcrmsReExh4C5+BFrXJjkeDvPaDHstfwp//Sv9ekrumZzDgaqpb4oGU6kJgd5Ib
 mzvm+41woTuWXP7GdeqWbIqRUeAU7JRlCVSGsnrVtHZi6QJsKPIq0SgM+Z2zMx2pXous
 N3O7O0ctl3SSkz1zg1+2MlA35tkA7w7M4xaZ+3YFmkUZuPcYBNaEIVZ43Dog2O+I4Mxc
 a2E3N0Lslohtw9VRRiNFUrIZHGpnlzuxUaGWVBIpkDnhqxf0CXZJPpGmZ14UkR22YxB0
 KjAw==
X-Gm-Message-State: ACgBeo3KhRGXqd2/RHG2XUU5A76STiyxWAJPcugOxOGuR/IfsUawVaGC
 QmjJSdV56ebPmgcjlc6/bZY=
X-Google-Smtp-Source: AA6agR5EttGhGzOIEqzrKqGKpZnYZeZQXcG6fukIkceOT8ZEMYwq67qp/kdG2c1FbYzftioSQ578IQ==
X-Received: by 2002:a17:90b:3b8d:b0:1fe:1fbe:b043 with SMTP id
 pc13-20020a17090b3b8d00b001fe1fbeb043mr24956173pjb.63.1662459817646; 
 Tue, 06 Sep 2022 03:23:37 -0700 (PDT)
Received: from localhost ([115.240.90.130]) by smtp.gmail.com with ESMTPSA id
 b7-20020aa78ec7000000b00537fb1f9f25sm9750266pfr.110.2022.09.06.03.23.36
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 06 Sep 2022 03:23:36 -0700 (PDT)
From: Visuwesh <visuweshm@HIDDEN>
To: Jean Louis <bugs@HIDDEN>
Subject: Re: bug#57320: 29.0.50; Lucid menus can't be operated with the mouse
In-Reply-To: <YxcF1tv+tzVy64OD@HIDDEN> (Jean Louis's message of
 "Tue, 6 Sep 2022 11:33:26 +0300")
References: <jwvmtbx3bez.fsf@HIDDEN>
 <87r119f4bx.fsf@HIDDEN> <YxcF1tv+tzVy64OD@HIDDEN>
Date: Tue, 06 Sep 2022 15:53:15 +0530
Message-ID: <87k06gby3w.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57320
Cc: Po Lu <luangruo@HIDDEN>, Stefan <monnier@HIDDEN>,
 57320 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

[=E0=AE=9A=E0=AF=86=E0=AE=B5=E0=AF=8D=E0=AE=B5=E0=AE=BE=E0=AE=AF=E0=AF=8D =
=E0=AE=9A=E0=AF=86=E0=AE=AA=E0=AF=8D=E0=AE=9F=E0=AE=AE=E0=AF=8D=E0=AE=AA=E0=
=AE=B0=E0=AF=8D 06, 2022] Jean Louis wrote:

> * Po Lu via "Bug reports for GNU Emacs, the Swiss army knife of text edit=
ors <bug-gnu-emacs@HIDDEN> [2022-08-22 04:36]:
>> Please put a breakpoint on line 2879 of xlwmenu.c and tell me what
>> XtGrabPointer returns.  Make sure to do this from another machine, since
>> grabbing will not work if you switch windows or click anywhere else.
>
> How do I do this?
>
> I can do it from my phone or other machine in LAN. Give me
> instructions please.

Here's what I did: Compile Emacs so that it retains symbol info,
etc. (see C-h C-d).
I ssh'd into my laptop from termux, started an emacsclient there.  cd'd
into src/ directory of my git checkout started gdb by saying M-x gdb
RET.  In the gdb prompt, I said

    (gdb) source .gdbinit
    (gdb) break xlwmenu.c:2879
    (gdb) run -Q

At this point, emacs -Q should have opened in your machine.  I clicked
the menu in the emacs -Q frame and the breakpoint in gdb hit.  Make sure
you don't move the mouse or use the keyboard.  After the breakpoint hit,
it was a matter of doing what Eli instructed me.

HTH.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57320; Package emacs. Full text available.

Message received at 57320 <at> debbugs.gnu.org:


Received: (at 57320) by debbugs.gnu.org; 6 Sep 2022 09:45:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 06 05:45:21 2022
Received: from localhost ([127.0.0.1]:49611 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVV8z-0007mD-JF
	for submit <at> debbugs.gnu.org; Tue, 06 Sep 2022 05:45:21 -0400
Received: from stw1.rcdrun.com ([217.170.207.13]:49217)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bugs@HIDDEN>) id 1oVV8w-0007lu-Hy
 for 57320 <at> debbugs.gnu.org; Tue, 06 Sep 2022 05:45:19 -0400
Received: from localhost ([::ffff:197.239.4.20])
 (AUTH: PLAIN admin, TLS: TLS1.3,256bits,ECDHE_RSA_AES_256_GCM_SHA384)
 by stw1.rcdrun.com with ESMTPSA
 id 00000000000B5B05.00000000631716A6.00007E74; Tue, 06 Sep 2022 02:45:09 -0700
Date: Tue, 6 Sep 2022 12:44:17 +0300
From: Jean Louis <bugs@HIDDEN>
To: Visuwesh <visuweshm@HIDDEN>
Subject: Re: bug#57320: 29.0.50; Lucid menus can't be operated with the mouse
Message-ID: <YxcWceRAdrDzmqUd@HIDDEN>
References: <jwvmtbx3bez.fsf@HIDDEN>
 <87r119f4bx.fsf@HIDDEN> <87mtbfwy94.fsf@HIDDEN>
 <87sfl7d7lj.fsf@HIDDEN> <87fsh7wupu.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <87fsh7wupu.fsf@HIDDEN>
User-Agent: Mutt/+ () (2022-06-11)
X-Spam-Score: 2.6 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * Visuwesh <visuweshm@HIDDEN> [2022-09-04 08:57]: > I also
 seem to recall this issue fixing itself when I did a > `make boostrap' at
 some point before. I have followed your advise, pulled latest Emacs version
 and did `make bootstrap'. 
 Content analysis details:   (2.6 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.6 RCVD_IN_SBL            RBL: Received via a relay in Spamhaus SBL
 [197.239.4.20 listed in zen.spamhaus.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
X-Debbugs-Envelope-To: 57320
Cc: Po Lu <luangruo@HIDDEN>, Stefan <monnier@HIDDEN>,
 57320 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.6 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * Visuwesh <visuweshm@HIDDEN> [2022-09-04 08:57]: > I also
    seem to recall this issue fixing itself when I did a > `make boostrap' at
    some point before. I have followed your advise, pulled latest Emacs version
    and did `make bootstrap'. 
 
 Content analysis details:   (1.6 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.6 RCVD_IN_SBL            RBL: Received via a relay in Spamhaus SBL
                             [197.239.4.20 listed in zen.spamhaus.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

* Visuwesh <visuweshm@HIDDEN> [2022-09-04 08:57]:
> I also seem to recall this issue fixing itself when I did a
> `make boostrap' at some point before.

I have followed your advise, pulled latest Emacs version and did `make
bootstrap'.

Now I cannot see any problems with submenu opening when using mouse in
Lucid build.

❰DONE❱ 


Jean

Take action in Free Software Foundation campaigns:
https://www.fsf.org/campaigns

In support of Richard M. Stallman
https://stallmansupport.org/




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57320; Package emacs. Full text available.

Message received at 57320 <at> debbugs.gnu.org:


Received: (at 57320) by debbugs.gnu.org; 6 Sep 2022 09:24:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 06 05:24:25 2022
Received: from localhost ([127.0.0.1]:49584 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVUoi-0007AN-N3
	for submit <at> debbugs.gnu.org; Tue, 06 Sep 2022 05:24:24 -0400
Received: from stw1.rcdrun.com ([217.170.207.13]:34683)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bugs@HIDDEN>) id 1oVUod-00079z-KK
 for 57320 <at> debbugs.gnu.org; Tue, 06 Sep 2022 05:24:23 -0400
Received: from localhost ([::ffff:197.239.4.20])
 (AUTH: PLAIN admin, TLS: TLS1.3,256bits,ECDHE_RSA_AES_256_GCM_SHA384)
 by stw1.rcdrun.com with ESMTPSA
 id 00000000000B5B09.00000000631711BA.00007C7C; Tue, 06 Sep 2022 02:24:09 -0700
Date: Tue, 6 Sep 2022 11:33:26 +0300
From: Jean Louis <bugs@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
Subject: Re: bug#57320: 29.0.50; Lucid menus can't be operated with the mouse
Message-ID: <YxcF1tv+tzVy64OD@HIDDEN>
References: <jwvmtbx3bez.fsf@HIDDEN>
 <87r119f4bx.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
Content-Disposition: inline
In-Reply-To: <87r119f4bx.fsf@HIDDEN>
User-Agent: Mutt/+ () (2022-06-11)
X-Spam-Score: 2.6 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  * Po Lu via "Bug reports for GNU Emacs, the Swiss army knife
 of text editors <bug-gnu-emacs@HIDDEN> [2022-08-22 04:36]: > Please put
 a breakpoint on line 2879 of xlwmenu.c and tell me what > XtGrabPo [...] 
 Content analysis details:   (2.6 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.6 RCVD_IN_SBL            RBL: Received via a relay in Spamhaus SBL
 [197.239.4.20 listed in zen.spamhaus.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
X-Debbugs-Envelope-To: 57320
Cc: Stefan <monnier@HIDDEN>, 57320 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.6 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * Po Lu via "Bug reports for GNU Emacs, the Swiss army knife
    of text editors <bug-gnu-emacs@HIDDEN> [2022-08-22 04:36]: > Please put
   a breakpoint on line 2879 of xlwmenu.c and tell me what > XtGrabPo [...] 
 
 Content analysis details:   (1.6 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.6 RCVD_IN_SBL            RBL: Received via a relay in Spamhaus SBL
                             [197.239.4.20 listed in zen.spamhaus.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

* Po Lu via "Bug reports for GNU Emacs, the Swiss army knife of text editors <bug-gnu-emacs@HIDDEN> [2022-08-22 04:36]:
> Please put a breakpoint on line 2879 of xlwmenu.c and tell me what
> XtGrabPointer returns.  Make sure to do this from another machine, since
> grabbing will not work if you switch windows or click anywhere else.

How do I do this?

I can do it from my phone or other machine in LAN. Give me
instructions please.


Jean

Take action in Free Software Foundation campaigns:
https://www.fsf.org/campaigns

In support of Richard M. Stallman
https://stallmansupport.org/




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57320; Package emacs. Full text available.

Message received at 57320 <at> debbugs.gnu.org:


Received: (at 57320) by debbugs.gnu.org; 6 Sep 2022 08:23:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 06 04:23:37 2022
Received: from localhost ([127.0.0.1]:49529 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVTrt-0005SD-Am
	for submit <at> debbugs.gnu.org; Tue, 06 Sep 2022 04:23:37 -0400
Received: from stw1.rcdrun.com ([217.170.207.13]:35733)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bugs@HIDDEN>) id 1oVTrq-0005Rv-5c
 for 57320 <at> debbugs.gnu.org; Tue, 06 Sep 2022 04:23:36 -0400
Received: from localhost ([::ffff:197.239.4.20])
 (AUTH: PLAIN admin, TLS: TLS1.3,256bits,ECDHE_RSA_AES_256_GCM_SHA384)
 by stw1.rcdrun.com with ESMTPSA
 id 00000000000B5B09.000000006317037E.00007783; Tue, 06 Sep 2022 01:23:25 -0700
Date: Tue, 6 Sep 2022 11:22:37 +0300
From: Jean Louis <bugs@HIDDEN>
To: Stefan <monnier@HIDDEN>
Subject: Re: bug#57320: 29.0.50; Lucid menus can't be operated with the mouse
Message-ID: <YxcDTX/vm+4D2Ths@HIDDEN>
References: <jwvmtbx3bez.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
Content-Disposition: inline
In-Reply-To: <jwvmtbx3bez.fsf@HIDDEN>
User-Agent: Mutt/+ () (2022-06-11)
X-Spam-Score: 2.6 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  * Stefan via "Bug reports for GNU Emacs, the Swiss army knife
 of text editors <bug-gnu-emacs@HIDDEN> [2022-08-21 17:44]: > > Menus stopped
 working recently when operated with the mouse. > What works: [...] 
 Content analysis details:   (2.6 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.6 RCVD_IN_SBL            RBL: Received via a relay in Spamhaus SBL
 [197.239.4.20 listed in zen.spamhaus.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
X-Debbugs-Envelope-To: 57320
Cc: 57320 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.6 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * Stefan via "Bug reports for GNU Emacs, the Swiss army knife
    of text editors <bug-gnu-emacs@HIDDEN> [2022-08-21 17:44]: > > Menus stopped
    working recently when operated with the mouse. > What works: [...] 
 
 Content analysis details:   (1.6 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.6 RCVD_IN_SBL            RBL: Received via a relay in Spamhaus SBL
                             [197.239.4.20 listed in zen.spamhaus.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

* Stefan via "Bug reports for GNU Emacs, the Swiss army knife of text editors <bug-gnu-emacs@HIDDEN> [2022-08-21 17:44]:
> 
> Menus stopped working recently when operated with the mouse.
> What works:
> 
> - I can click on the menu bar, and that brings down the corresponding
>   menu.
> - I can use the arrow keys and the RET key to move in the menus and
>   select a particular entry.
> - I can move the mouse to select another menu.

I have same problem as I am using Lucid. I can reproduce it with emacs
-Q

My submenus are not opening if I am using mouse. They were opening
just fine before some months.

To make them open I use F10, that way I enter into menu and can open
submenus.



In GNU Emacs 29.0.50 (build 11, x86_64-pc-linux-gnu, X toolkit, cairo version 1.17.6, Xaw3d scroll bars)
 of 2022-08-21 built on protected.rcdrun.com
Repository revision: a6ccb82fdaacb731295545f867765d60726c5044
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12101003
System Description: Parabola GNU/Linux-libre

Configured using:
 'configure --with-x-toolkit=lucid'

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
JSON LCMS2 LIBOTF LIBSYSTEMD LIBXML2 M17N_FLT MODULES NOTIFY INOTIFY
PDUMPER PNG RSVG SECCOMP SOUND SQLITE3 THREADS TIFF TOOLKIT_SCROLL_BARS
WEBP X11 XAW3D XDBE XIM XINPUT2 XPM LUCID ZLIB

Important settings:
  value of $LC_ALL: en_US.UTF-8
  value of $LANG: de_DE.UTF-8
  value of $XMODIFIERS: @im=exwm-xim
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  line-number-mode: t
  indent-tabs-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message mailcap yank-media puny dired
dired-loaddefs rfc822 mml mml-sec password-cache epa derived epg rfc6068
epg-config gnus-util text-property-search time-date subr-x mm-decode
mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader
cl-loaddefs cl-lib sendmail rfc2047 rfc2045 ietf-drums mm-util
mail-prsvr mail-utils rmc iso-transl tooltip eldoc paren electric
uniquify ediff-hook vc-hooks lisp-float-type elisp-mode mwheel
term/x-win x-win term/common-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch easymenu
timer select scroll-bar mouse jit-lock font-lock syntax font-core
term/tty-colors frame minibuffer nadvice seq simple cl-generic
indonesian philippine cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
composite emoji-zwj charscript charprop case-table epa-hook
jka-cmpr-hook help abbrev obarray oclosure cl-preloaded button loaddefs
faces cus-face macroexp files window text-properties overlay sha1 md5
base64 format env code-pages mule custom widget keymap
hashtable-print-readable backquote threads dbusbind inotify lcms2
dynamic-setting system-font-setting font-render-setting cairo x-toolkit
xinput2 x multi-tty make-network-process emacs)

Memory information:
((conses 16 38790 5646)
 (symbols 48 5111 2)
 (strings 32 14258 2203)
 (string-bytes 1 402846)
 (vectors 16 10371)
 (vector-slots 8 157794 11212)
 (floats 8 40 15)
 (intervals 56 266 0)
 (buffers 992 12))


Jean

Take action in Free Software Foundation campaigns:
https://www.fsf.org/campaigns

In support of Richard M. Stallman
https://stallmansupport.org/




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57320; Package emacs. Full text available.

Message received at 57320 <at> debbugs.gnu.org:


Received: (at 57320) by debbugs.gnu.org; 4 Sep 2022 08:42:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 04 04:42:08 2022
Received: from localhost ([127.0.0.1]:43459 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oUlCi-0003hJ-Im
	for submit <at> debbugs.gnu.org; Sun, 04 Sep 2022 04:42:08 -0400
Received: from mail-pg1-f196.google.com ([209.85.215.196]:34605)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <visuweshm@HIDDEN>) id 1oUlCg-0003gu-Uz
 for 57320 <at> debbugs.gnu.org; Sun, 04 Sep 2022 04:42:07 -0400
Received: by mail-pg1-f196.google.com with SMTP id 73so5683977pga.1
 for <57320 <at> debbugs.gnu.org>; Sun, 04 Sep 2022 01:42:06 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:user-agent:message-id:date
 :references:in-reply-to:subject:cc:to:from:from:to:cc:subject:date;
 bh=ul+HlPTzQMcBu0mT9L41od9XMHbuWPPdGWUaT8WbWjg=;
 b=bHlBBzRS3zFlR7SJBYc/WME7GUkWHUseaQbMSq5ZcJh0HbNzFtNW8msOAJm0TINhGC
 1HV8f1A2x0pr532DHQenOzXQbZi/JaTBRD7sNWDkstxJRk8lkzEfMKpIVW/VfZXxdUXs
 C3mb8Xt8d7oyA+7RBOKQOUyxgUGh7QROwa2W013O9RT5FxLogbNMqcvqMcrT+VuaIqmm
 l9TkHZGnSyV4FVW74mNN/pQtHi0AqhvxhsWhQHTEn3/oIvIfDbFpott6GgSehEqfnQjO
 epimdKpugIHGFjwRM1Tk25m+zSYaI60xMx44mqtTzZ8/USHhJAcNbPbn8/1yABnbOzSd
 sl0w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:user-agent:message-id:date
 :references:in-reply-to:subject:cc:to:from:x-gm-message-state:from
 :to:cc:subject:date;
 bh=ul+HlPTzQMcBu0mT9L41od9XMHbuWPPdGWUaT8WbWjg=;
 b=yfrTvzTjDmwktAlkjhaJyA2hUytFbIt97jB6lcfgZhYRePxvBYwa+pgiAtSi5IUlAW
 T/+mUSXHa9ZzjoU6xMcIwlapD941qpLREGaXJpF9AlJ3D/z+mOfNbELzk3DStgAAGHOY
 7yEXSClYmnZX+y9I+kbLjY5uFCUpdkq/1XzqzXhsKZG4EoKEpDfIWNvAc1cvJbl/p1NX
 1RvceO4zbgAjkNYpdjyJ92uchCEcAHco9R/Q73fzir8eyj2EvW0NhoZnI4c8+tHyWy6q
 Ko6B8LySdPtd/kXrw+K+P0FMPybS4B5nWXOkyeJXqhCAPcGi844FcrNDEN7JqxwpEs1r
 JlhQ==
X-Gm-Message-State: ACgBeo2aw2bvRV/Cw5RSPXgUZsAt9+gNQ/hsx5PYVYgwMVLUyKkbWmoe
 x+CuQzyX6LWx9WE/G5woKRs=
X-Google-Smtp-Source: AA6agR7epc0KXwbyIX8fPj6z2TcCan0WShE3BgKvCSe2di4kJf9rCvTIXWyGEDfuYdCM/8FHWHX9mg==
X-Received: by 2002:a63:4b:0:b0:42c:f091:20f6 with SMTP id
 72-20020a63004b000000b0042cf09120f6mr22034220pga.64.1662280921060; 
 Sun, 04 Sep 2022 01:42:01 -0700 (PDT)
Received: from localhost ([118.185.152.162]) by smtp.gmail.com with ESMTPSA id
 j13-20020a63ec0d000000b004340d105fd4sm2322800pgh.21.2022.09.04.01.41.59
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 04 Sep 2022 01:42:00 -0700 (PDT)
From: Visuwesh <visuweshm@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
Subject: Re: bug#57320: 29.0.50; Lucid menus can't be operated with the mouse
In-Reply-To: <87o7vvczbp.fsf@HIDDEN> (Po Lu's message of "Sun, 04 Sep 2022
 16:34:50 +0800")
References: <jwvmtbx3bez.fsf@HIDDEN>
 <87r119f4bx.fsf@HIDDEN> <87mtbfwy94.fsf@HIDDEN>
 <87sfl7d7lj.fsf@HIDDEN> <87fsh7wupu.fsf@HIDDEN>
 <83y1uzllh9.fsf@HIDDEN> <87bkrviqqo.fsf@HIDDEN>
 <87o7vvczbp.fsf@HIDDEN>
Date: Sun, 04 Sep 2022 14:11:15 +0530
Message-ID: <87sfl7bkgk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57320
Cc: Eli Zaretskii <eliz@HIDDEN>, monnier@HIDDEN,
 57320 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

[=E0=AE=9E=E0=AE=BE=E0=AE=AF=E0=AE=BF=E0=AE=B1=E0=AF=81 =E0=AE=9A=E0=AF=86=
=E0=AE=AA=E0=AF=8D=E0=AE=9F=E0=AE=AE=E0=AF=8D=E0=AE=AA=E0=AE=B0=E0=AF=8D 04=
, 2022] Po Lu wrote:

> Visuwesh <visuweshm@HIDDEN> writes:
>
>> But it looks like it wasn't able to return anything.  Anyway, the issue
>> seems to be mysteriously fixed on my side.=20=20
>
> That's because you tried to debug it.  Which is typical of X11 problems
> related to grabs, unfortunately.
>
> The next time it shows up, please try the best you can to debug it from
> another machine, instead of in Xephyr or with a different pointer
> device.  Thanks.

I will definitely do that.
[ I actually gave up trying to debug it using MPX, mpwm was too broken
  to use.  Also, when the breakpoint hit, the Emacs frame which had gdb
  running was unresponsive as well.  So I ssh'd into my laptop from my
  phone via termux and did all the work from termux when the breakpoint
  was hit.  ]




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57320; Package emacs. Full text available.

Message received at 57320 <at> debbugs.gnu.org:


Received: (at 57320) by debbugs.gnu.org; 4 Sep 2022 08:35:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 04 04:35:07 2022
Received: from localhost ([127.0.0.1]:43450 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oUl5v-0003Wx-GH
	for submit <at> debbugs.gnu.org; Sun, 04 Sep 2022 04:35:07 -0400
Received: from sonic314-22.consmr.mail.ne1.yahoo.com ([66.163.189.148]:41798)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1oUl5u-0003WP-CX
 for 57320 <at> debbugs.gnu.org; Sun, 04 Sep 2022 04:35:06 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1662280498; bh=+SvHz8xD3xJ2AFphMERWbIw5dK/tJBIF2pTE/g9CCxc=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=DPq9BYLura8OBcbUkxO/0LudL3ckNB7Gch+Kv5i6yBjHYEDwZdEt4hf+EAmHmsNmKz6YuqJOAX1kEoWogGtgtIc3SaBQPynbwFsZxMmvdo+LXLXlIFWSreiJHe7TloJSgit2z/oiJifBXOOH6Su3azyQS+l5zqCvYTjarRScUr6CysOWZAA6Oy5DvnpjvvaDVgZ3lD8iffWB+zn9frtjfqJmTsyUVtwFC0OiUzFr/m3iA/0ZZ3DYUn7f6sZz857LO/tEmQiP7OxQIy/14oC/bdLotR3CDUUH7u7M8GJ16rAEpC+Hyx3+C4LDvpcwYYn98gJzhL0yXDxTETJIOFQUvw==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1662280498; bh=JTFQCnzMsvZ14UAZAPEdvJGe4LvzEXG+NeeJkYSEPDs=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=hhoPo+fuZN+05t9GspBMXn1BY/TTg8rRL8KQPHXQnhGjiQim6AArukchiHPEFd2Zd246aEhKADJ6vyNkE/DNuHijU9I4XDzRxN0J9AgapNm4IBw0F6nRXlipK/13y7Hw0SDgM16OOxJQXo5OwODoaNac+Gub4LLZpu3ZtqogHYWwAr1CqN5h6j8Z5o/eOu7mfsi1GJFwgSDn+30DhYSr5GWhOLcdJe+iiXVAKsDyYN2GjTW1T37wykUf2ODf4bqXJujGMS8+VtoI4ksHMr93H8IGoTYv6UJcCezdETZEIllhLm4GstZyuUOzCdTeDJ8Q7yPieXh149vFBhuucyXZWQ==
X-YMail-OSG: De21gI4VM1noKt83xu1btXd1.rOhs5aAcEup2R7PRDFp724n3HD1LVhal86p6Y7
 Mei1LJWoS.JNYeshinhv19Vo9TT6n6bvBcydx4iLwddxvBEYXXnVrd4ISVHQ62f82pBGLxxToNZA
 f4g_Gm4xVdKjKnX7uj5RuSrszPrpMG_sXHexPrkUWJq.ybSnEZJBXlgHDQw2IC6apr9NDRwR_0Tz
 RfC7hP1xstRk5jmhneh98JjpyqJR_xg91OtfZKOoRpD9oS4ITfrWwkVpu2wm0Y3S5bENYfi6deGI
 mtg3hkM2rfjogv_XjTJECgRPIYy.bGyl1tt.vjcBTJ6e.eD.1T1OHK1Jh7PuYZhKI3VE86wBuOn9
 nL9KB9jhpR3k7YLHFuH9v9gyPlIgVu.6r2dv_Kn4ABgg5CICmOZKMudzeIO7OTBNREQOZhgShVJn
 o1M2EQs5ffqaEfSfzXV25HO4plaBBgEy3ut0coJO1rNRIcuphIocheWV9EgOx_mi_iK80trYf1nr
 wA6ewUvozcS2v7BzXs6ktlH31mnF5wqyKaOZtVB5WgPnt.Qrlu4GqX1qXnBTno9rtw_Vc2lKCCvV
 9jBaENe_WO_xbt7lEm4tizyZPwCAbB_t4BiNo_U5hdHXIYmyXrCl5O2W5u9x.A_MinWxCC3RkE3h
 iygpHtiV4D7DxF8zgIac0G.NJBQiF2WZBhOStlyNVFpBsQQCzCQ_hSzmN46srPm5cshTQ8n6PsoG
 DXhK2O0vycHO4xJF37fldBeWx5X8MQ2FQr5XdEf3JSMzIzUS176WNaRbn.uXtSwYxEwvbVbvwb4B
 lZa3WYEuUnif3eYc30NDjU20ICx_Is5YlW_lheDVyl8NsTWydo1H8M2S17MP_hxPFFodvatgDAGj
 GGSbW3YBH_Ayo9SqP7n.tJkjMvW2KL46JyAPOdufJ40oX9fh7iGb8SdQbMND2R1oGm8gtSDxbtPD
 .ALCuCMLpUTf6zNVWgI5fk0U7xum1F5F0fmrMPJNS2jolfjlHnDUGJoLroOv7W1QlmIaUwfu.omz
 7b..qbo0Vsu6htWq3A53NoKJr5cS51gkjGbvT_caiGfTXY.02aM92cDAxAlOv1_4GiBwxaLa0yuB
 Q3IM6eQ7umfyWs1YuXtSBtf58P6zSNTzVjrcNmRZxOVZ6BLzaVyvnupUvImPGKuL.WpEpPQtsyWC
 0gODAQ46MfPtxb7BoTtIpseyhO5aAvPdIH5NGMxoe42qpNjgq0wg_KnQyJ_us7q40yuZLCEmXNIX
 _ySLExyiuuxp.AJPVVJPT3cmR_nMY28jAHhO7TuWOsIiY2dfjSE3OLKjL_cE9dF8kh5lFufxRPka
 ZMPb.f3A2xyuAYIpVvGmxJilLJXDbrAj5vOewLB4gLsFSba9mgYpLALA_FT9SpGrTOaMkQ0tOrq8
 NRtz72buzLhJ7BlLZu.tp9BMv3AFub5rDDF9WiF6KH3vWpvG4hwVSA1zk8guT5hQLRW53wP3z0Nj
 ahCQK7G8GOJNluRRdjUInOaJlhD_mHy22OH6zrcmyX4YiGlu28jlng9TXCD8gYu1wROiLzJOvVRR
 EfuXYU3uVXtbQS36zMvdwaeQIyhcotzITTOhqxZPYxP.mROpvC93jDOpoJAm6ljZWzAI1JumyVWr
 TqrlmdBhHiKEBuW.t0v955DhtpWmfCd0iRmtgu3bMneVda_Z39TT6HdxGc12eFar6ej_Yf6SLkcK
 ErMzE0iJIvOCZ3JmFOo3RneUDopovvRlIKJ0hte6NpCf8dOGUmTEYUY_6X5TPJowZflQ2nSuqh4Y
 NvsbFFq1uSD0vKPX.qltgTqsEXby8JHMACj9QRXQo2YCecrdo4oQcE9fMR298bZ6gL8OLwI6pdsP
 8xRYx1OQLnnfYziEcpiGtsYfuFq85tVodqNu_0p8hlC25zhrrh7ijqh98UWGkZF1IfugwEqkPIPq
 T4I274X5_URT3YCfE_FSUZqRDudiBtcNCaP5bcSm9qK1XH42H0JdvSXWeV6YoCouJykRzy2KM_rS
 2XE3WRXr._h7voUmbkV6OjP9XH45LbDKB7zAxnzl4iSFiPS7T5JZXJ.ukP3WQJNUWUfsj6AU_8q7
 FVo4y.gpn6lk9DWU4X5VP43AvONzIdDkloiqB8hpEl0o.BlDrsrCzNJmVqe_v5wEWMAVCiouD7n_
 UM9Hsmfiiz6J1BaKArYIs1rj7tiHxOxNBfnTaERWS.h2Ke5vaM8VqGy3mmQdnAnrt1Dxrkg.i1b2
 7AqxNnKQv9kMmV1koZEpKgiZ6XbG4wYA1qSIx2b3v07wA23mB_2irhDAkMp6ysi4_mq7tRnLdunM
 6V970Hg--
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic314.consmr.mail.ne1.yahoo.com with HTTP; Sun, 4 Sep 2022 08:34:58 +0000
Received: by hermes--canary-production-sg3-6bb8946c47-7d254 (Yahoo Inc. Hermes
 SMTP Server) with ESMTPA ID 855f3931ebdcd8d63cb44c55808e4a2e; 
 Sun, 04 Sep 2022 08:34:55 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Visuwesh <visuweshm@HIDDEN>
Subject: Re: bug#57320: 29.0.50; Lucid menus can't be operated with the mouse
References: <jwvmtbx3bez.fsf@HIDDEN>
 <87r119f4bx.fsf@HIDDEN> <87mtbfwy94.fsf@HIDDEN>
 <87sfl7d7lj.fsf@HIDDEN> <87fsh7wupu.fsf@HIDDEN>
 <83y1uzllh9.fsf@HIDDEN> <87bkrviqqo.fsf@HIDDEN>
Date: Sun, 04 Sep 2022 16:34:50 +0800
In-Reply-To: <87bkrviqqo.fsf@HIDDEN> (Visuwesh's message of "Sun, 04 Sep
 2022 12:13:43 +0530")
Message-ID: <87o7vvczbp.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20595
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 423
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57320
Cc: Eli Zaretskii <eliz@HIDDEN>, monnier@HIDDEN,
 57320 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Visuwesh <visuweshm@HIDDEN> writes:

> But it looks like it wasn't able to return anything.  Anyway, the issue
> seems to be mysteriously fixed on my side.  

That's because you tried to debug it.  Which is typical of X11 problems
related to grabs, unfortunately.

The next time it shows up, please try the best you can to debug it from
another machine, instead of in Xephyr or with a different pointer
device.  Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57320; Package emacs. Full text available.

Message received at 57320 <at> debbugs.gnu.org:


Received: (at 57320) by debbugs.gnu.org; 4 Sep 2022 06:43:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 04 02:43:57 2022
Received: from localhost ([127.0.0.1]:43338 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oUjML-0000jR-29
	for submit <at> debbugs.gnu.org; Sun, 04 Sep 2022 02:43:57 -0400
Received: from mail-pj1-f66.google.com ([209.85.216.66]:43703)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <visuweshm@HIDDEN>) id 1oUjMI-0000jD-OL
 for 57320 <at> debbugs.gnu.org; Sun, 04 Sep 2022 02:43:55 -0400
Received: by mail-pj1-f66.google.com with SMTP id
 z9-20020a17090a468900b001ffff693b27so4455400pjf.2
 for <57320 <at> debbugs.gnu.org>; Sat, 03 Sep 2022 23:43:54 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:user-agent:message-id:date
 :references:in-reply-to:subject:cc:to:from:from:to:cc:subject:date;
 bh=Y1Z546cPDQMfrp2Jp5/LmEuPLjiz0/z7xcWcBwYSvK0=;
 b=nl2zDfyXN39yGOCZ7sBRp88sDiU6bZMvHGu38+lELXEPLLS0/F9SEIejsYMcKqeHH3
 /jrT2YHYfTaSzJgs68ozsp329fXyLmC1TVPwICAxbAn3cwLR+cHcaTSa2pNT82o+FoTE
 9kO55kMMH6BdCumQ58Vx4n+GgkRVuZBXBcuuln1UyfOC0QGuzS4byvd+pfbfVUc3bcHg
 9wAK87eMDc5W9d3hqOO+AMeCwQp+kU+NUExlmbOOyjmzyf+nIWyHe1JkLJssHlBe2jvy
 PKS5GIzSXUkHc366sIVRPSTVw86I+jrb0t08hntiKVmZB7HPC0Fgy1KYSQqp2HDZzave
 6g9w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:user-agent:message-id:date
 :references:in-reply-to:subject:cc:to:from:x-gm-message-state:from
 :to:cc:subject:date;
 bh=Y1Z546cPDQMfrp2Jp5/LmEuPLjiz0/z7xcWcBwYSvK0=;
 b=H6DzFFleXNalRHEmUUwCatBscf+dLhfP9ko7+o7TGUqrFOR6VTtwWqcNU++BmIvzme
 Yt3cDInUqWkj8sV7hcF1hi/bWrlzXIxfsL+1m6kVhFf6fkkA9T8kRgTOlo/zh/iC1qfB
 km3JknJ2H4Kgl7PiWfk4OuW058JqHnaT9PLyNdM19zB2vYdSzR0UVmAtVCK69XmtyCwG
 MOelk8jzcuswTA1ariIWx1fl5qYnDMJTX88rtID1EZpsL5c+ggqf4RyE3j8Qv58eJJq7
 u8Vvz1UruJryyCNFOlV25r75q3N4lKthymx/vXkuSWOXnacA02KOlKVp2IPZuich0o4h
 OqXQ==
X-Gm-Message-State: ACgBeo2adJViSvH3ENXyZXbGgGruo+ZKD2Y52RWPiLILDFGrpv4bKLGX
 Vy66P+LBF4TY36CkX0iGXtc=
X-Google-Smtp-Source: AA6agR4hf7ylqBKpxc9LpiqbjcWNuYAxOySJYib9/BecIO1btvbUjtY0a1tqXB+QuORuK4yO0FkT3Q==
X-Received: by 2002:a17:90a:c02:b0:1fb:b69d:140f with SMTP id
 2-20020a17090a0c0200b001fbb69d140fmr13120831pjs.139.1662273828904; 
 Sat, 03 Sep 2022 23:43:48 -0700 (PDT)
Received: from localhost ([14.139.216.98]) by smtp.gmail.com with ESMTPSA id
 h5-20020a056a00000500b005386b58c8a3sm4978008pfk.100.2022.09.03.23.43.47
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 03 Sep 2022 23:43:47 -0700 (PDT)
From: Visuwesh <visuweshm@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#57320: 29.0.50; Lucid menus can't be operated with the mouse
In-Reply-To: <83y1uzllh9.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 04 Sep
 2022 09:09:06 +0300")
References: <jwvmtbx3bez.fsf@HIDDEN>
 <87r119f4bx.fsf@HIDDEN> <87mtbfwy94.fsf@HIDDEN>
 <87sfl7d7lj.fsf@HIDDEN> <87fsh7wupu.fsf@HIDDEN>
 <83y1uzllh9.fsf@HIDDEN>
Date: Sun, 04 Sep 2022 12:13:43 +0530
Message-ID: <87bkrviqqo.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57320
Cc: luangruo@HIDDEN, monnier@HIDDEN, 57320 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

[=E0=AE=9E=E0=AE=BE=E0=AE=AF=E0=AE=BF=E0=AE=B1=E0=AF=81 =E0=AE=9A=E0=AF=86=
=E0=AE=AA=E0=AF=8D=E0=AE=9F=E0=AE=AE=E0=AF=8D=E0=AE=AA=E0=AE=B0=E0=AF=8D 04=
, 2022] Eli Zaretskii wrote:

>> Cc: Stefan <monnier@HIDDEN>, 57320 <at> debbugs.gnu.org
>> From: Visuwesh <visuweshm@HIDDEN>
>> Date: Sun, 04 Sep 2022 11:24:05 +0530
>>=20
>>     2879	  if (XtGrabPointer ((Widget)mw, False,
>>     (gdb) stepi
>>     0x0000555555979490 2879 if (XtGrabPointer ((Widget)mw, False,
>>     (gdb) finish
>
> Too soon: you are still not inside XtGrabPointer.  Keep typing "stepi"
> (or just RET) until GDB says that it's either inside XtGrabPointer or
> inside a function with no line information, and shows a machine
> instruction instead of source line.  _Then_ type "finish".

Hopefully this is right?  I spammed stepi until gdb said it was inside
XtGrabPointer.

[many more stepi's stripped.]
(gdb) stepi
0x0000555555975f86	2879	  if (XtGrabPointer ((Widget)mw, False,
(gdb) stepi
0x0000555555597de0 in XtGrabPointer@plt ()
(gdb) finish
Run till exit from #0  0x0000555555597de0 in XtGrabPointer@plt ()
0x0000555555975f8b in pop_up_menu (event=3D0x7fffffffd540, mw=3D0x5555568a7=
080) at xlwmenu.c:2879
2879	  if (XtGrabPointer ((Widget)mw, False,
(gdb) return 0
Can not force return from an inlined function.
(gdb) return 2
Can not force return from an inlined function.
(gdb) return 3
Can not force return from an inlined function.
(gdb)

But it looks like it wasn't able to return anything.  Anyway, the issue
seems to be mysteriously fixed on my side.=20=20




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57320; Package emacs. Full text available.

Message received at 57320 <at> debbugs.gnu.org:


Received: (at 57320) by debbugs.gnu.org; 4 Sep 2022 06:09:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 04 02:09:39 2022
Received: from localhost ([127.0.0.1]:43318 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oUip9-0008M9-I9
	for submit <at> debbugs.gnu.org; Sun, 04 Sep 2022 02:09:39 -0400
Received: from eggs.gnu.org ([209.51.188.92]:60116)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1oUip7-0008Lu-Ph
 for 57320 <at> debbugs.gnu.org; Sun, 04 Sep 2022 02:09:38 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:33914)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oUip2-0001Uk-He; Sun, 04 Sep 2022 02:09:32 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=5IMjNH+f+C5Q7w+aKMJ1KvIzNrzJXjHHNZwReMdO8O0=; b=plJ4u1Djzytr
 JXyfHiRCccjw5uHZbGiFIhXAUnAYp02mHJEV+OeovJjZ114e7cCllCDjRI1D5m5AlVbEFlMompIjS
 fmdhvm0B8V/oBaUfusPWcCG5M3UG62U1IyTX5juypQymzNckkqbBv/vHuUbj0cI6PPBBI9lsyTB4k
 xeDGvL1LU/X3JW1LieFByzPWDZnVZGfmWrQjMd+vJNgLJJZ5YOVVa3nQCxPpWM7ve4Wyp0JaDA7kc
 eGIuiIiisKgGksFAHCaZb2FvTQKUs064tzZyON4/miZb5B+Rr89JTakvjlt8mWAQqL7Uq+AE+btqo
 JdXZ/0j3bl2z5HQ/MFjrEg==;
Received: from [87.69.77.57] (port=2152 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oUip1-0002IR-Ug; Sun, 04 Sep 2022 02:09:32 -0400
Date: Sun, 04 Sep 2022 09:09:06 +0300
Message-Id: <83y1uzllh9.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Visuwesh <visuweshm@HIDDEN>
In-Reply-To: <87fsh7wupu.fsf@HIDDEN> (message from Visuwesh on Sun, 04 Sep
 2022 11:24:05 +0530)
Subject: Re: bug#57320: 29.0.50; Lucid menus can't be operated with the mouse
References: <jwvmtbx3bez.fsf@HIDDEN>
 <87r119f4bx.fsf@HIDDEN> <87mtbfwy94.fsf@HIDDEN>
 <87sfl7d7lj.fsf@HIDDEN> <87fsh7wupu.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57320
Cc: luangruo@HIDDEN, monnier@HIDDEN, 57320 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: Stefan <monnier@HIDDEN>, 57320 <at> debbugs.gnu.org
> From: Visuwesh <visuweshm@HIDDEN>
> Date: Sun, 04 Sep 2022 11:24:05 +0530
> 
>     2879	  if (XtGrabPointer ((Widget)mw, False,
>     (gdb) stepi
>     0x0000555555979490	2879	  if (XtGrabPointer ((Widget)mw, False,
>     (gdb) finish

Too soon: you are still not inside XtGrabPointer.  Keep typing "stepi"
(or just RET) until GDB says that it's either inside XtGrabPointer or
inside a function with no line information, and shows a machine
instruction instead of source line.  _Then_ type "finish".




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57320; Package emacs. Full text available.

Message received at 57320 <at> debbugs.gnu.org:


Received: (at 57320) by debbugs.gnu.org; 4 Sep 2022 05:54:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 04 01:54:25 2022
Received: from localhost ([127.0.0.1]:43308 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oUiaP-0007yy-A2
	for submit <at> debbugs.gnu.org; Sun, 04 Sep 2022 01:54:25 -0400
Received: from mail-pj1-f66.google.com ([209.85.216.66]:46878)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <visuweshm@HIDDEN>) id 1oUiaN-0007yh-EY
 for 57320 <at> debbugs.gnu.org; Sun, 04 Sep 2022 01:54:23 -0400
Received: by mail-pj1-f66.google.com with SMTP id
 o15-20020a17090a3d4f00b002004ed4d77eso301666pjf.5
 for <57320 <at> debbugs.gnu.org>; Sat, 03 Sep 2022 22:54:23 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:user-agent:references
 :message-id:date:in-reply-to:subject:cc:to:from:from:to:cc:subject
 :date; bh=zU6JxDacXovy0AScD/1dd6ATFOeCgheawa0WGVTtNTM=;
 b=RvWuL/u+bqBssoVCHclGKhuKcHpwfxWw5GDXZdgHEs7aSCcsrL4+fTEThI9WZvzLOl
 23ee9S3NGOMADQULDZWipmpJRr9JzsAWZtfBvDo+smIbKwYs+FqdRuQ/DqRxNs6BW/R0
 1dk+VCpqhgQDyKHBnJsQsApWH4kg2IShCkgSps8QISTZ5S6MXpcQNEYuKjZhpuBIXts/
 COZum32Yy8yRRW/D3VdtGPlfUA2rei1IYRttmRtuVOX33LVs4PCRLHEwNKXiwrAsdZHY
 fGm14tXVni9E1d/vbtlfXsbSmzIv1uEzRQ4Uw5Jt7Hdw6cckNwT8JcPfak8vOe0BDRee
 G7Ew==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:user-agent:references
 :message-id:date:in-reply-to:subject:cc:to:from:x-gm-message-state
 :from:to:cc:subject:date;
 bh=zU6JxDacXovy0AScD/1dd6ATFOeCgheawa0WGVTtNTM=;
 b=MXVw+WMQmBGpZAIDRJlLWyZWNLjEDJlxCIXKy3k084nWoRBGJDbi2BGcSHIyMV8ci9
 VoM+jpwyE7KiCsuBrC+PuMpw8z9KRSS2rWhAQcnT32ghIoNtX4H/Eyaem29mz2kCSDUg
 s0RAWHG52z9/2hGeAbDu/jw42gE7jhe4V7h0Atgninju+mVUl0xgOyhqa1+RBGEMT8js
 RHlwPOyxMoixeMkEEG5CrRv/VFV4FIj1dazkSlLpz7rkdgFM7kiManmoWXSrqY19DwtF
 hlRIsRuYEQ1AuHGQjO4Z9rgfvr6mJzwxoMYKzYfagygyjB1l/rIu94fs1b+bNuvl+ggv
 OBsw==
X-Gm-Message-State: ACgBeo0KK4URB+rgsBR4HFHi+k3kq3Ujd7dkaOcmuBHFKTAa3ovILRWm
 Oo8pML3oz1ahUK5N2wvs2Ps=
X-Google-Smtp-Source: AA6agR70xnkqBr9Y/Kk4LAw+TpZK/gw4Q7AB8WJxOjbGbkU1X6i62bxeRALTfpVvFpZKjoPpMCeAew==
X-Received: by 2002:a17:90b:4f44:b0:1f5:1310:9e7f with SMTP id
 pj4-20020a17090b4f4400b001f513109e7fmr13135289pjb.235.1662270857570; 
 Sat, 03 Sep 2022 22:54:17 -0700 (PDT)
Received: from localhost ([118.185.152.162]) by smtp.gmail.com with ESMTPSA id
 g13-20020a6544cd000000b0041c45d76b6bsm4125745pgs.38.2022.09.03.22.54.15
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 03 Sep 2022 22:54:16 -0700 (PDT)
From: Visuwesh <visuweshm@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
Subject: Re: bug#57320: 29.0.50; Lucid menus can't be operated with the mouse
In-Reply-To: <87sfl7d7lj.fsf@HIDDEN> (Po Lu's message of "Sun, 04 Sep 2022
 13:36:08 +0800")
Date: Sun, 04 Sep 2022 11:24:05 +0530
Message-ID: <87fsh7wupu.fsf@HIDDEN>
References: <jwvmtbx3bez.fsf@HIDDEN>
 <87r119f4bx.fsf@HIDDEN> <87mtbfwy94.fsf@HIDDEN>
 <87sfl7d7lj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57320
Cc: Stefan <monnier@HIDDEN>, 57320 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

[=E0=AE=9E=E0=AE=BE=E0=AE=AF=E0=AE=BF=E0=AE=B1=E0=AF=81 =E0=AE=9A=E0=AF=86=
=E0=AE=AA=E0=AF=8D=E0=AE=9F=E0=AE=AE=E0=AF=8D=E0=AE=AA=E0=AE=B0=E0=AF=8D 04=
, 2022] Po Lu wrote:

> Visuwesh <visuweshm@HIDDEN> writes:
>
>> I wasn't sure how to make gdb tell me what XtGrabPointer returned but I
>> said `s' after the breakpoint hit and it jumped to line 2890 so I think
>> it means XtGrabPointer returned Success?  Anyway, here's the *gud-emacs*
>> buffer,
>
> Thanks, but if it does return Success, continue execution of Emacs; you
> might be surprised to discover that the menu works normally when you try
> to debug it.

The menus work just fine now.  Only thing that changed from when I wrote
the initial message confirming the reproduction was a 'make bootstrap'
when I updated my local checkout to 1d1158397bce41466078e384eed2d1e214e206d=
e.
I also seem to recall this issue fixing itself when I did a
`make boostrap' at some point before.
I'm not sure if it is useful but this is what stepi and finish says,

    (gdb) run -Q
    Starting program: /home/viz/lib/ports/emacs/src/emacs -Q
    [Thread debugging using libthread_db enabled]
    Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.=
1".
    [New Thread 0x7ffff15fe640 (LWP 85683)]
    [New Thread 0x7ffff0c6d640 (LWP 85684)]
    [New Thread 0x7fffebfff640 (LWP 85685)]

    Thread 1 "emacs" hit Breakpoint 3, pop_up_menu (mw=3D0x5555564253d0, ev=
ent=3D0x7fffffffd5a0) at xlwmenu.c:2879
    2879	  if (XtGrabPointer ((Widget)mw, False,
    (gdb) stepi
    0x0000555555979490	2879	  if (XtGrabPointer ((Widget)mw, False,
    (gdb) finish
    Run till exit from #0  0x0000555555979490 in pop_up_menu (mw=3D0x555556=
4253d0, event=3D0x7fffffffd5a0) at xlwmenu.c:2879
    Start (w=3D0x5555564253d0, ev=3D0x7fffffffd5a0, params=3D0x0, num_param=
s=3D0x7fffffffd3ec) at xlwmenu.c:2523
    2523	}
    (gdb) finish
    Run till exit from #0  Start (w=3D0x5555564253d0, ev=3D0x7fffffffd5a0, =
params=3D0x0, num_params=3D0x7fffffffd3ec) at xlwmenu.c:2523
    0x00007ffff7ad2fc7 in XtCallActionProc () from /lib/x86_64-linux-gnu/li=
bXt.so.6





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57320; Package emacs. Full text available.

Message received at 57320 <at> debbugs.gnu.org:


Received: (at 57320) by debbugs.gnu.org; 4 Sep 2022 05:36:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 04 01:36:29 2022
Received: from localhost ([127.0.0.1]:43281 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oUiJ2-0007Hv-Nv
	for submit <at> debbugs.gnu.org; Sun, 04 Sep 2022 01:36:28 -0400
Received: from sonic314-22.consmr.mail.ne1.yahoo.com ([66.163.189.148]:40982)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1oUiJ0-0007Hh-ND
 for 57320 <at> debbugs.gnu.org; Sun, 04 Sep 2022 01:36:28 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1662269779; bh=4RwJjli8wqtyT/Nk2U3PsFdxfV034JhcrS8e/KqUdbY=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=H1DSxMqGtuLl6JfN589ATjUNkRFn4PfFANW/rO/EHWDwWynwcVb7JDke1TvO+ad5oeD5GZreHvs/TXyF+jf/sZ46+V4inzqwZsG3pDUeELFuTxSi7OcQyZEaHARp3eFoLYjc1qIqgu4uPkm63KlUzIR8xzJXjnM/MpY1KnHhpTr6CpyTf1YzjCopUV6IkdkpeMtlW0BoEfuU+PpgxDupKVtqMjRwhyMXtdeY+Q/BYC3B0qqUKtHrshQOj8JOZ7q8BmbOMNou0Ph0ha4J/F+QggGgrnFyh0HyT1/93DoiSFLjiZ7FPdrDwZjSOA8v3cVaXeOHnsI4sdPK34j2irchYg==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1662269779; bh=Bwz3SQ1Ed0iFGQY7NZdrpV2hlBez3cp9WvnJ4jT5Cew=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=llbMQnM8stgztnjzwtP8jOQc+X9K+iVzivnjsF5LoPTsY5HXd63WlnGX0pTz6tpxtIh5F44BoWqy5BHsNfZuZcrdgfDmiW5+E7JJv0UeLC6V/HScxo0cLnDPhNWW0x0oLrj52SNeeV8PrS5byYMzP8J6Vhr02LX0/a3s8+t+dLXsG5Y8WEFf70KLMjoXb6hTolYUZe17rXrHfwj/c7snY5zcCHJjXuQN9JOh4M8c5l1mdv5oa3vembRm9N4rvQk02lhceSQE5mTcl8m2PmBpMGc7rkbCoHfA1PNT7CNAQE3k9kWo/cSMLMgdQkCGHBS6QRyQSpNIBQXHR5Egl59P2A==
X-YMail-OSG: HyRD86gVM1mj8VCDObrPDdRdwuxrSSTM3ehK05hmMLJll.vpAABlBxZw6i11RT4
 TKk08SsAhT6pbX1.UD4AVLlm0AP4mZOMi4zqGAOVIo6ReiV7tYpmVgimKZU5hGajMeOBYwXkz2EI
 0BhcLEc8BvF6z0KguddpFkVwfQYrwiH8vVYhXIZhU96g3582Qd6AmxTbQY98KlBcJ34B29sasnS_
 OnFH0iaZVdSQbjIYLDltckVrPTMqgOJZ0ScmOyjEQ6PeVhszYz0a2RouVqJUg0y.ElCSHtJFRlIp
 Z1QiHUjvswMPeg1Rhum2qWVkbUWUaZIHJwKDIpAyplI1ot0zlrh3VW2zKjETproEJmmzslcbeUMt
 t3M5TQAdy1FySGmiw7ULgQ0aH5qakibk9XinmAH3jyJymC.pWWL8mHyV.oQ4aawbbrv.x6EDrYfg
 Y_anfoyXrjBPJWiSdbislszRwIFV0oYLwhLictOhx.FhrY_ImRcmfcgBH9i_eozapVwILTEWKDy.
 FRa0va6_4VLtjhHuquCvRw3ZvZrIw4HThTlEA.ePppZHpjMmTbOhF4kX8ieIyKHZwNjIfCFdGbvu
 PCJ1v4nZanpW2Kkkzhg2w3_71azlYAYg0SLZ4F1_KFu4dw3vEohqwVDPw1cO1K.eZS7ib3fWm1lb
 dLDZspNYM0EoD6KQDt4xQQk_wwdLCgb0qsLJkFx2rlkMiCXBTKi766s4GE8bkkNHt6RmWXDep.Vz
 LA8.GRjgMBJInFeBs1nLn6LPxZIvHcTnHfqpdbZfrD2RMGKCj18ZvF55wwa5HKdCJwfg1yyQKMKT
 24SmDRw7_40xJGHAZnmEVECq5mQJfJ3MdNL7UxtFcz81tq7CCHAofInAR.Vip1IBwBuestq0equN
 Kk3sNukDu8N2fcRYojZASLbe3_huzqPewqQuLgPbOPo4g0rk4LTwzwQQkP1XQya8TqDyYZdr4_wE
 SdOs55qvXrrTXoj0fIYmYt5.swPB9c3IOfpVTxQopxRKU0EHMX130Zz1jCDW..u3tzuJ4.UVYStQ
 3ukikcAiMSIPZTMMeKVdKXRBe7xRgJjUJqXx7oJ6VPEA4bo0XKTJheOq1fMhfXOVyNr.o.yubu7j
 HFPhOfFgjiuTY1dqBgpLONlXxjC9JBIA9DbXLhiu1E9c0wRgA7a.QxDMgrLtuOKchlhgWfSZBCVn
 FWe.YBTQi3fcgudajXX_wbG6IVTyRcrFj6Wunnm90sDSES8532WfVxklZOVoeaG3vCSGpuZcJ0D6
 ZW0ucPMJHYf5VFBhcuc3Bzdrw9t7TuSvOizW6fI7opsme8gQC0vJFrAzkR1nL2pmzToUne2cMLsZ
 B_Y8zLfiCwOMWd0cthbZVOwc7.f6AcLxipEh8A.X9duhvzO7MatErndIrL.uMbmn538m45aTWrkP
 VH9v33MuVif8.8ivRkkMLwSKDcqlzYy80x45iScIUkk7TpQoC3ZEvJIcjdC8ONt2eZFA4KV6GEtP
 XQwOW3vJPg0R1T.8aVDBpNGV3_1fxvXBCyaNCVdG48rgPoPGw0Ky5D_5TFbWvKQAaxiGgpzBS49j
 sCC6q0D8jlXP0bYq9gccerKJheJlTgr1oXVhWsIh9fdVQ63zuX5ZmfXHztsrfsaelvV_wkfIdUHK
 yV7rAXEvI7hBwj7Ru_zLE113yB7lhYn0Zuj_1Na_DFKgE6ZxIU29vB4A2B9qK0xABzHWAwWiEcnV
 rSN..fupcWfRmMO3SHWQOOQooowKlADMpIuF8SJb5UuPx3k8BdGB4Ba6OUKD1XMN2qW_UEezutAm
 hZhRYhU6BXrZ8Y4HMWuZlMj7aWJ8JTBj4FMzB.q9uRdMi4nwy_3Uqo_ThRub50uFh2Xz0rwtWreO
 1GI9eK0lerWtToAkslcjFWw3bgGD7eK3Tv8BFKqCsNOjjFDGN6jXfeXQ9Esv1Xt6TtAH6y_WfCoV
 05FT2OG8.akJH1l7XMRHEazwElN18ohxvEtQ2q64.4_EZbXwAJkcsV1YLnTuAZdjt4n1c59myjw.
 h8WO8ysi1GVjYRl9jp03rQlh_Wm.HShi8ArjuOpbqierVW96WxJSF63iMLZWBtOsn9vHodE0Qo_H
 AGb9n3cULW7lWrGT62nSnLrj9qS.DVzOz6itRE_658EP_ssJ4bqdcLcQ3fCFrBBxCioWGBqEasig
 odX5Og7zODmrYinhjQP1.W.R.8SF4nZB62kyAEN21r8Ryq25i2W3rq54pt_E6uYXKt5eeOiEkTE6
 wYUojfFZWqGscKwloMRLzOmPDd5hmDomx5VBOBRVtvIWbW8AGqJA7UxvvO1caUziBB3Z_Ik3ntjB
 Lfq65F.oMTjMHlZY-
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic314.consmr.mail.ne1.yahoo.com with HTTP; Sun, 4 Sep 2022 05:36:19 +0000
Received: by hermes--canary-production-sg3-6bb8946c47-7d254 (Yahoo Inc. Hermes
 SMTP Server) with ESMTPA ID 45135ec76bf281b20f806144f8b13c7c; 
 Sun, 04 Sep 2022 05:36:12 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Visuwesh <visuweshm@HIDDEN>
Subject: Re: bug#57320: 29.0.50; Lucid menus can't be operated with the mouse
References: <jwvmtbx3bez.fsf@HIDDEN>
 <87r119f4bx.fsf@HIDDEN> <87mtbfwy94.fsf@HIDDEN>
Date: Sun, 04 Sep 2022 13:36:08 +0800
In-Reply-To: <87mtbfwy94.fsf@HIDDEN> (Visuwesh's message of "Sun, 04 Sep
 2022 10:07:43 +0530")
Message-ID: <87sfl7d7lj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20595
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 432
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57320
Cc: Stefan <monnier@HIDDEN>, 57320 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Visuwesh <visuweshm@HIDDEN> writes:

> I wasn't sure how to make gdb tell me what XtGrabPointer returned but I
> said `s' after the breakpoint hit and it jumped to line 2890 so I think
> it means XtGrabPointer returned Success?  Anyway, here's the *gud-emacs*
> buffer,

Thanks, but if it does return Success, continue execution of Emacs; you
might be surprised to discover that the menu works normally when you try
to debug it.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57320; Package emacs. Full text available.

Message received at 57320 <at> debbugs.gnu.org:


Received: (at 57320) by debbugs.gnu.org; 4 Sep 2022 05:20:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 04 01:20:55 2022
Received: from localhost ([127.0.0.1]:43275 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oUi3z-0006pa-2a
	for submit <at> debbugs.gnu.org; Sun, 04 Sep 2022 01:20:55 -0400
Received: from eggs.gnu.org ([209.51.188.92]:50668)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1oUi3w-0006pL-Nw
 for 57320 <at> debbugs.gnu.org; Sun, 04 Sep 2022 01:20:53 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:58922)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oUi3r-0003qp-De; Sun, 04 Sep 2022 01:20:47 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-version:References:Subject:In-Reply-To:To:From:
 Date; bh=Aguh8T1P40Epk8FHG9SQuaiGkUnTX+bNfhBh8EXtF24=; b=bcORKA7KTqdamockhWu3
 EtEthwitlReMaUh8qpmlXBXiPDML6XlTBhdoyzt+MvChzElt1fta6HdGhpX4m4wjjKOtSbxeU76hK
 oGTYheFnHQn2ppgQMP3lHaIxFFvZySfamlSwg3efLKS2f7/8vFgb73lwjpE1jE/66QeLULPld/b0U
 hDyx887dsOuCJPe2KF+xwnX68tAjloay+oAgbwmg3ZQCLIs9UsLUwBVtgVPecFJEHgqdujT5PN5eX
 w4YlxwB2R2ffmcEFLxT94jXDCDl6AeoeNl8A5ITLeCuVlUMEHwyK0xG0rFwh65znVc6RbqTmaHXgJ
 u2peFEkOEZSFAQ==;
Received: from [87.69.77.57] (port=3146 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oUi3q-0004QD-TS; Sun, 04 Sep 2022 01:20:47 -0400
Date: Sun, 04 Sep 2022 08:20:23 +0300
Message-Id: <834jxnn2aw.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Visuwesh <visuweshm@HIDDEN>
In-Reply-To: <87mtbfwy94.fsf@HIDDEN> (message from Visuwesh on Sun, 04 Sep
 2022 10:07:43 +0530)
Subject: Re: bug#57320: 29.0.50; Lucid menus can't be operated with the mouse
References: <jwvmtbx3bez.fsf@HIDDEN>
 <87r119f4bx.fsf@HIDDEN> <87mtbfwy94.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57320
Cc: luangruo@HIDDEN, monnier@HIDDEN, 57320 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: Stefan <monnier@HIDDEN>, 57320 <at> debbugs.gnu.org
> From: Visuwesh <visuweshm@HIDDEN>
> Date: Sun, 04 Sep 2022 10:07:43 +0530
> 
> [திங்கள் ஆகஸ்ட் 22, 2022] Po Lu wrote:
> 
> > Please put a breakpoint on line 2879 of xlwmenu.c and tell me what
> > XtGrabPointer returns.  Make sure to do this from another machine, since
> > grabbing will not work if you switch windows or click anywhere else.
> 
> I wasn't sure how to make gdb tell me what XtGrabPointer returned but I
> said `s' after the breakpoint hit and it jumped to line 2890 so I think
> it means XtGrabPointer returned Success?  Anyway, here's the *gud-emacs*
> buffer,
> 
>     (gdb) run -Q
>     Starting program: /home/viz/lib/ports/emacs/src/emacs -Q
>     [Thread debugging using libthread_db enabled]
>     Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
>     [New Thread 0x7ffff15fe640 (LWP 56454)]
>     [New Thread 0x7ffff0c6d640 (LWP 56455)]
>     [New Thread 0x7fffebfff640 (LWP 56456)]
> 
>     Thread 1 "emacs" hit Breakpoint 3, pop_up_menu (mw=0x55555617dfe0, event=0x7fffffffd5a0) at xlwmenu.c:2879
>     2879	  if (XtGrabPointer ((Widget)mw, False,
>     (gdb) s
>     2890		  && lucid__menu_grab_keyboard
> 
> 
> [ P.S. What is the right value way to do get what XtGrabPointer
>   returned?  This is most probably suboptimal.  ]

One way is to step into XtGrabPointer, with either "step" or "stepi",
and then type "finish".  The "finish" command displays the value
returned by the function in which you type the command.  (You will
need "stepi" if the library that implements XtGrabPointer has no
symbols, in which case GDB will be unable to "step" into its
functions.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57320; Package emacs. Full text available.

Message received at 57320 <at> debbugs.gnu.org:


Received: (at 57320) by debbugs.gnu.org; 4 Sep 2022 04:38:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 04 00:38:15 2022
Received: from localhost ([127.0.0.1]:43244 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oUhOh-0005cc-1O
	for submit <at> debbugs.gnu.org; Sun, 04 Sep 2022 00:38:15 -0400
Received: from mail-pg1-f194.google.com ([209.85.215.194]:37745)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <visuweshm@HIDDEN>) id 1oUhOe-0005cO-Ti
 for 57320 <at> debbugs.gnu.org; Sun, 04 Sep 2022 00:38:13 -0400
Received: by mail-pg1-f194.google.com with SMTP id bh13so5432837pgb.4
 for <57320 <at> debbugs.gnu.org>; Sat, 03 Sep 2022 21:38:12 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:user-agent:message-id:date
 :references:in-reply-to:subject:cc:to:from:from:to:cc:subject:date;
 bh=H6vCdBTJfQYztgc7Rg2O6c59HuK3wLR9NR8aeOnUR8s=;
 b=J4DbiWPZZ1au0KCXuuVFaQsnAkVVmcmJI6abcg8NX6nHPDSqSYYh9DDgt4iDNhNK/T
 AXX2+8/YIMHo1VeJc3I2VGs8em+Q2rPlGKQtV1DDyqiY6ySphicvfwiRM9n/7qM2MigL
 Jv1IygoExEeNNIsABKToQCr6s9btlaMeQcAxQB+5aTncBfVm2vsHBdAB18umvg5oywyF
 LbQQ+0gzTm+aYqIqS44ylnZ8+l3pY02PueQTcRPkJqpftQ7LHMiyOx28Ych4v1qqqkzt
 jUHxk9QPb+Hu4MdN6RYUg75krCbeRhvghKq6yUuMe2ZMtB8a+NI5hRjSEU4BZy7UPX3p
 IhAw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:user-agent:message-id:date
 :references:in-reply-to:subject:cc:to:from:x-gm-message-state:from
 :to:cc:subject:date;
 bh=H6vCdBTJfQYztgc7Rg2O6c59HuK3wLR9NR8aeOnUR8s=;
 b=O5WY1jsOjHgM1PeviYfnQS5M9VV8ywqoUrosTDf9vjp8j9ygdDtBJdgtXutKK6xyzL
 OFWDzMAFej+stUiIfJWHp8AMSisQf2J2TQCHZRn5efaAMCLlJSp23Kwba8S11LijQfG0
 xyL0sEKjauxNfeyoPbwc6chwz99vap9E3UohdzIztOg+AJCBF8cupcgIptDPp9KyBohf
 jR0JP0CBhfSNPgvaz3UHqSkuCtuXOAtg3ptlMpYV/RetKRcDXeXBhbPnbw99QLifXTEC
 y8jkqylVN7TT50twxiJNs61O657sN2B/FMFdJdsR8FnIXshQfV4JcS2B1HFlSYsugCzW
 E4eg==
X-Gm-Message-State: ACgBeo3u/eTH1GX66OFvumQWAM+cOlcJiOr3yJ8rdsEmkWtyD1fMXYA+
 FlFFsWXKksqIg5/O/08KBR8=
X-Google-Smtp-Source: AA6agR63x9TaJbplZsPu2q5tnAuz4JlbpV1kO15SHb1NgNHwg66FaAnurHWzOg6r8mpyEG62oioobg==
X-Received: by 2002:a63:fc50:0:b0:427:a666:bfe3 with SMTP id
 r16-20020a63fc50000000b00427a666bfe3mr35505693pgk.547.1662266287120; 
 Sat, 03 Sep 2022 21:38:07 -0700 (PDT)
Received: from localhost ([115.240.90.130]) by smtp.gmail.com with ESMTPSA id
 b18-20020a170902d51200b00172ea8ff334sm2239636plg.7.2022.09.03.21.38.05
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 03 Sep 2022 21:38:06 -0700 (PDT)
From: Visuwesh <visuweshm@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
Subject: Re: bug#57320: 29.0.50; Lucid menus can't be operated with the mouse
In-Reply-To: <87r119f4bx.fsf@HIDDEN> (Po Lu's message of "Mon, 22 Aug 2022
 09:35:14 +0800")
References: <jwvmtbx3bez.fsf@HIDDEN>
 <87r119f4bx.fsf@HIDDEN>
Date: Sun, 04 Sep 2022 10:07:43 +0530
Message-ID: <87mtbfwy94.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57320
Cc: Stefan <monnier@HIDDEN>, 57320 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

[=E0=AE=A4=E0=AE=BF=E0=AE=99=E0=AF=8D=E0=AE=95=E0=AE=B3=E0=AF=8D =E0=AE=86=
=E0=AE=95=E0=AE=B8=E0=AF=8D=E0=AE=9F=E0=AF=8D 22, 2022] Po Lu wrote:

> Please put a breakpoint on line 2879 of xlwmenu.c and tell me what
> XtGrabPointer returns.  Make sure to do this from another machine, since
> grabbing will not work if you switch windows or click anywhere else.

I wasn't sure how to make gdb tell me what XtGrabPointer returned but I
said `s' after the breakpoint hit and it jumped to line 2890 so I think
it means XtGrabPointer returned Success?  Anyway, here's the *gud-emacs*
buffer,

    (gdb) run -Q
    Starting program: /home/viz/lib/ports/emacs/src/emacs -Q
    [Thread debugging using libthread_db enabled]
    Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.=
1".
    [New Thread 0x7ffff15fe640 (LWP 56454)]
    [New Thread 0x7ffff0c6d640 (LWP 56455)]
    [New Thread 0x7fffebfff640 (LWP 56456)]

    Thread 1 "emacs" hit Breakpoint 3, pop_up_menu (mw=3D0x55555617dfe0, ev=
ent=3D0x7fffffffd5a0) at xlwmenu.c:2879
    2879	  if (XtGrabPointer ((Widget)mw, False,
    (gdb) s
    2890		  && lucid__menu_grab_keyboard


[ P.S. What is the right value way to do get what XtGrabPointer
  returned?  This is most probably suboptimal.  ]




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57320; Package emacs. Full text available.
Forcibly Merged 57320 57518. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 57320 <at> debbugs.gnu.org:


Received: (at 57320) by debbugs.gnu.org; 31 Aug 2022 14:19:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 31 10:19:46 2022
Received: from localhost ([127.0.0.1]:40043 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oTOZE-0004GW-H0
	for submit <at> debbugs.gnu.org; Wed, 31 Aug 2022 10:19:46 -0400
Received: from mail-pf1-f194.google.com ([209.85.210.194]:43632)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <visuweshm@HIDDEN>) id 1oTOZB-0004GE-Ib
 for 57320 <at> debbugs.gnu.org; Wed, 31 Aug 2022 10:19:43 -0400
Received: by mail-pf1-f194.google.com with SMTP id c66so4290687pfc.10
 for <57320 <at> debbugs.gnu.org>; Wed, 31 Aug 2022 07:19:41 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:user-agent:references
 :message-id:date:in-reply-to:subject:cc:to:from:from:to:cc:subject
 :date; bh=GKwFspGTys6dxtdiSQbbBhRKnBSE79aqTlhaZk+fqyc=;
 b=C9lq1o9Y1xOj9hA9Fm/cgD10sTQCMrmQLSHUM8TYptNsqZCGP9isqxtq0Cl7McDL1l
 dv79kOjBkYp1omv/OF9K5PGOa+qm8i07WGCddce9Rz5Ou89FMIlv+2erKosVXG14JzXS
 F67XPh8slgQo36DshzLlpS0JXXTViSh/yVVxwLXcZdS+p+Vy9C9XB6kLZih5i23txhk1
 3ZVL4TxcBloCsW6uLMiD4h48pcGfD2E4v8v9PtN1i2PyKvh+3aPiMfQYLuKcWWkxZqi5
 xjVW6UlSmOyV1FoUjRWBv77qyDd8DRXzeBDrqw1bMDJOsnuqzSjaK/3q0tF0vFvR1lt6
 G+wg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:user-agent:references
 :message-id:date:in-reply-to:subject:cc:to:from:x-gm-message-state
 :from:to:cc:subject:date;
 bh=GKwFspGTys6dxtdiSQbbBhRKnBSE79aqTlhaZk+fqyc=;
 b=6BYJtuQmGwZhmUvv83+0S3eUu7nlSufWnWARGGpqusUjePfQDQroKB9+QKUBqz53we
 W0oMF3MQ42k+D9sHYilJccao7J3gnFw7h0scUgEsmlsyAWMao35uLBPPH/AZUkl14lyA
 ErRi4k22O5Fsb002dnQqaUW3ea4HSWvzaIkIV8rfAOv1gYckVsMyfhSHvxly2kaKY8Ww
 epiVg/2lOxlNkMwJAaeKjLVlqSn+/JRPQQtj9ZoXAd+/gVsK4105zOQ7wUawApMY+9sm
 CYEwP2DQt5d2q9/ysZB1NvIxsKUxtW00O+0AxdKS6toebTq2hfM6XlcAdRtMDqHuvxNo
 aI+A==
X-Gm-Message-State: ACgBeo2AszAyRjG9aC27eBqsNM+dQBA9Pyd3Q+vJdAJs3/9bBVFgu4BV
 DUFrl5+qoz/iJgBuW7ElFXc=
X-Google-Smtp-Source: AA6agR6TZNNdeVFPI9l3wZRbCXxBnG/oX5BHink/pAjvYxWYjyXL2Z4Lt12FS/OZ9Wh9LDt004huag==
X-Received: by 2002:a63:6643:0:b0:42b:c05e:e3a9 with SMTP id
 a64-20020a636643000000b0042bc05ee3a9mr15962398pgc.513.1661955575629; 
 Wed, 31 Aug 2022 07:19:35 -0700 (PDT)
Received: from localhost ([115.240.90.130]) by smtp.gmail.com with ESMTPSA id
 i185-20020a626dc2000000b00537b6bfab7fsm11612732pfc.177.2022.08.31.07.19.33
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 31 Aug 2022 07:19:34 -0700 (PDT)
From: Visuwesh <visuweshm@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
Subject: Re: bug#57320: 29.0.50; Lucid menus can't be operated with the mouse
In-Reply-To: <87mtbkmzlf.fsf@HIDDEN> (Po Lu's message of "Wed, 31 Aug 2022
 19:17:32 +0800")
Date: Wed, 31 Aug 2022 19:49:25 +0530
Message-ID: <87sflc8phu.fsf@HIDDEN>
References: <jwvmtbx3bez.fsf@HIDDEN>
 <87r119f4bx.fsf@HIDDEN> <87wnaqurd7.fsf@HIDDEN>
 <87czcioxir.fsf@HIDDEN> <878rn53juc.fsf@HIDDEN>
 <87zgflmc2b.fsf@HIDDEN> <87a67khlf2.fsf@HIDDEN>
 <87mtbkmzlf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57320
Cc: Stefan <monnier@HIDDEN>, 57320 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

[=E0=AE=AA=E0=AF=81=E0=AE=A4=E0=AE=A9=E0=AF=8D =E0=AE=86=E0=AE=95=E0=AE=B8=
=E0=AF=8D=E0=AE=9F=E0=AF=8D 31, 2022] Po Lu wrote:

> Visuwesh <visuweshm@HIDDEN> writes:
>
>> It was surprisingly easy to find.
>>
>>     % git clone git://people.freedesktop.org/~whot/mpwm
>>
>> did it for me.  This looks like the right window manager to me upon
>> reading the README file.
>
> Nice, thanks.
>
> If it builds, do let me know; the copy I have doesn't and I didn't yet
> figure out why.

The repo builds just fine here.  ./autogen.sh && make did the job.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57320; Package emacs. Full text available.

Message received at 57320 <at> debbugs.gnu.org:


Received: (at 57320) by debbugs.gnu.org; 31 Aug 2022 11:17:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 31 07:17:52 2022
Received: from localhost ([127.0.0.1]:38405 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oTLjE-0003QN-2c
	for submit <at> debbugs.gnu.org; Wed, 31 Aug 2022 07:17:52 -0400
Received: from sonic310-23.consmr.mail.ne1.yahoo.com ([66.163.186.204]:37720)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1oTLjA-0003Q6-Gq
 for 57320 <at> debbugs.gnu.org; Wed, 31 Aug 2022 07:17:51 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1661944662; bh=iYJZcUZz9JOVDj5iCEme3ZIjxrAJCgNL4ds6peQdQl0=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=kZGPv0vWuE0KnMrSXCPX2/ToOPZVXxEfH6YWVyYPMaLd1P8XDgeqOIbWTRY6co5Zug/qAwdRH3VaavreKfoBzPoRp09aYJ5R6NZHYkk7iDuDOYHy2xffq2TsmEwhuzm6FLeWkw3r/Ia7IOhj6ednsi9LL8QHck391nzdrAcjL1pXYMoNo+ZuTk5abp3Heas/p3M4QYIzb7fcCzJUuh1emGLY+q9KSZ1IW/9jmQBQBEuQ6mYqMsnYWV8Eoa4HYv2g96xCnZADQhmIwSl+wRc1029Vxo2Gjyn1tWFBM3XelYvXPgdbVBv7sERlWToWZceVzFaVZOx7NPXqjOHiLu93XA==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1661944662; bh=7aSs3t0cuprumiKJ1TbrVH1xTmAIyjeOlghSbVJ0NCx=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=GwyIA46JGXfiFccnfgsYBNjhXP1cJn2nY/W5Ed5vC655uTGbK4o5n3pcVps2SyOUJrLYNHuIn0u3QhFFVazwihwtca3sbFJnI3na9jqR1lMvyECuaQ3sBPI+6MAtypn3E12bDgtAwnV+mFcbrL6x8SND7ys8aGoaYgPKzuGVYJrb/2J/BXTJhwSDXbF3eVRP4Y0kDCHSaQwxCiaY8n18I+LfIsoGUGseRlzeWPIxr3wdwFtL1QuVxfQQLEPQ0KMQ6QbQa4OsTdjw5rLIMCJ51TiMTMKbD8tbNr31K3plv326Br/4E1SRsTOB7OedOLk7V/8Org5oDyYsZmKtqz8kvA==
X-YMail-OSG: lElFBoEVM1n9tBfMg5fHp0QdsZC3gVtLlSLbVCExhRK1YcO4PMMvErzxszrOX56
 eSBn8PwK43kOnl_0.Kz3NUbDRcnJx2Z6oRwUrEbFtdF_si_BnAKc.pcMVa9SQXGlFTPG8VYbWELx
 39P6nOUClLkagvGFEn5KBK2gEO8BsGw2df9oiZcSomKPxlg.2owVnBXgzYgvOzh0dB.G7LdMPuW4
 287ILSvvqymOXfLpltTUWOUVfVItOOj1qwkoQx1iLwaxLp2iMqQbu_lCFDCUlU9dbMzkG5954mIf
 .KdKfC0sylWUtvUx8ugKlaJSCF2R1C5.6Vrr.E5XvVNMCUYUxSELXrHgU.8a3y6_wkxwKx.fwk_F
 hGfb_F3XILHnmjckXoCF2Ep8qcyILvrr1s7__DchN1ohxbyrqQL54CE0NCCiNxKcQGiY7tNFNoHK
 96cS0eKUh_HbTy0QE26dawhc7Uu1oVS.nmFLVUfNc.rAYMu5u9c__fytVhl7tsUdgN3I19yLCGtk
 7gOp4E5hUs51S9.S.zA27OsuttT8d5UTCfB7oYpPJ0FZggiGsUR5K7heD1U8BtqaLIm2z7Nca2PG
 JyQ93RIGkACIOPXseWdy3RaFB7DAo7w7vA28s.ur.x8t.Sn6JaQa4oiqE6T6zt8Buv_PvZiCx57Q
 Hx6AlQ2eDXnAeokZOrdU7z_6PjEJs_kghrpkvIenULdFsf_vsV9x98lF8BFslFAEU30kQqUBLQhw
 EOqli.0O3bTrpDmYAF4FYf.2BlN1tqMeV.qphnviB4MaHXK06dvX6OOK59AuMzTNKF0WHGnp4EJ1
 M4gmp.HX4OyXqZPE_Yo2Fq8QgKmNJbTRvsLhd60NTNVj9ssGtMmkiIkQZ2MtS5Zjzw2ril1cJkh3
 hVoeuQr4LO8C5_SkIYjMTLBgXfv7bguy1IsHmlZ3aTlmpRjX0BdVu3fS4bb0BrWH5hCC2ImAE0uq
 cJ5Js6bdhmsi1_jj3E9s_a8DcMD1FDcERlEq_ZHdJssfMLOaxL5CmPnMxq9YzC2ELLKQTc4KJyxS
 uE3cNTb7wadmbCT9.idxJoPHBPhVeBIrVcNrvVMUnoyBBuvJMauBn2ZA4dD64Zw.rn1X2y9Lv9MZ
 9Reiv.f52Quin6erqpvOZf_k_a6oytVPgc77Wv6zydg7TG7VWGl.6wJ0RQB6X6emiQ57I.HA1ZFh
 e2b8tdMRND3UboRvL11ZGRvsAaNR2oErPELgM.PFHu.SIiWX.GpEfCb8kMCrqW4w8R4HggXCiOuA
 OjMdWkZG3ouz4jOMj3Op7bxZapcNaxmErma4NdAgdcvKa5DuPHxxcI5Ld5KiF4blcPIMmPObFG0L
 LSvReBXCu_MRLgT1rxkF5K9zzUul1zb.pBvJ7Ksr6sLplEAt3xJ3.bV6l.ScGVO7oKtGhtP4RTgK
 SKBlJoTarNAvtBSTLWeUzc8uuS0QfLFsg5YdMCAkVqOpTkok0eFV78S8V8p85Wh4VJwcYPxUL8IG
 nsFEWE2auFEXg2ELZz14.d0UZog0wK4K339AB1SnNhh.RDda5ibWFLP2ej.kDU9ELIOD5.0I7aR_
 SIwDiLnhI2g1XKPzfnVqJM_BMfgI.0IN5ypEWhxxW.b2Bv_jD8WGhFUdt_7g7fRZvtVm1aJKDtXN
 S.V6I_uTfVX20hqHtrRJEXVMWyztYwFBund0WkZNgsLqFY6O1t68XJG7bwqPgqqO4WVKJmiGZQSC
 e0leOlkKQO_2uON3rdRdAQmufn7IvOV5R0XFGKiyaRCTA82k92gxnf3Aq16EKu5L96Ftuf6ZzdZb
 IHy7kxlM6aPqE8tXeRjLojVftTm4o3MrTGWUn_pvExOxAJqsr2vNiYDb8.ghuzJxylhiBinKrMQY
 5XKzHtG5fnOv_3BYJJ1V61h0EU5NY6cOBovMeZ.89ZFuIzbZMvfpwbfog_msBvdJ5JnDaRBk2u1_
 s7jKIr8x6CBN5XmI6EnX0xT5VkDgbnwQwvZ92Q9eacqMk8MU1AWwEw2gPiGVpapsjr9OCIfDiqhr
 0RcuM_Z7mo5F90pGzn40YossZi3I_hor3dSfOM4dIq.Foq5PrRBNFtVdCaJo.aBbF7xnc.HbovEh
 07ekQh9pjxpWyr1lan9mWgwobXYPHbG9btdrJubtoWNj7cvIPGUt9Bvt3QBdzqcrsi42_VpwruPj
 QlXnDukqERoT5n1HVzdvZJvvYRWRVbCKMMSc8V1PA_7RF70ZZsijIH55ydGpZmEbbV1unHWT6fHW
 Iq9g88wg_8qgX.hBv9uEj9hVoLsks8ByBi8T95TN2XHY2aDNVubkv6P9y7bFX8I4HbBjif1socZD
 tyfacJPF6sNk-
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic310.consmr.mail.ne1.yahoo.com with HTTP; Wed, 31 Aug 2022 11:17:42 +0000
Received: by hermes--canary-production-sg3-6f58cd9b5-jrp6f (Yahoo Inc. Hermes
 SMTP Server) with ESMTPA ID b893dd639c16e74a4642f257ee25d673; 
 Wed, 31 Aug 2022 11:17:36 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Visuwesh <visuweshm@HIDDEN>
Subject: Re: bug#57320: 29.0.50; Lucid menus can't be operated with the mouse
References: <jwvmtbx3bez.fsf@HIDDEN>
 <87r119f4bx.fsf@HIDDEN> <87wnaqurd7.fsf@HIDDEN>
 <87czcioxir.fsf@HIDDEN> <878rn53juc.fsf@HIDDEN>
 <87zgflmc2b.fsf@HIDDEN> <87a67khlf2.fsf@HIDDEN>
Date: Wed, 31 Aug 2022 19:17:32 +0800
In-Reply-To: <87a67khlf2.fsf@HIDDEN> (Visuwesh's message of "Wed, 31 Aug
 2022 13:52:41 +0530")
Message-ID: <87mtbkmzlf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20595
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 338
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57320
Cc: Stefan <monnier@HIDDEN>, 57320 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Visuwesh <visuweshm@HIDDEN> writes:

> It was surprisingly easy to find.
>
>     % git clone git://people.freedesktop.org/~whot/mpwm
>
> did it for me.  This looks like the right window manager to me upon
> reading the README file.

Nice, thanks.

If it builds, do let me know; the copy I have doesn't and I didn't yet
figure out why.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57320; Package emacs. Full text available.

Message received at 57320 <at> debbugs.gnu.org:


Received: (at 57320) by debbugs.gnu.org; 31 Aug 2022 08:23:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 31 04:23:12 2022
Received: from localhost ([127.0.0.1]:38162 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oTJ0C-0004iP-BP
	for submit <at> debbugs.gnu.org; Wed, 31 Aug 2022 04:23:12 -0400
Received: from mail-pf1-f195.google.com ([209.85.210.195]:38689)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <visuweshm@HIDDEN>) id 1oTJ04-0004hL-OY
 for 57320 <at> debbugs.gnu.org; Wed, 31 Aug 2022 04:23:05 -0400
Received: by mail-pf1-f195.google.com with SMTP id y127so13738251pfy.5
 for <57320 <at> debbugs.gnu.org>; Wed, 31 Aug 2022 01:23:04 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:user-agent:message-id:date
 :references:in-reply-to:subject:cc:to:from:from:to:cc:subject:date;
 bh=/P7golcerqaH31qxz9HbWz8BtiLrZcKzs3uUy3BGG0k=;
 b=CKTSnebwN4hsYwsismQMQuOicOgIaGziPEcGmOnKxzVolWz0MRiAa2wuuzG/EuxgHy
 QcDfaEFs3BdJ42eS/QX0e/XmIBWuZpn9oCDmlr9i9W9Hekbqr9FyPENH1ftPUKSfUAC6
 99LLo6uq5NZANLZugHv6j2kBp05mV8ZQBZgvL/O+wD02rVWgBnJ+/QT5tEKzZYxN4shY
 +lhtVkMY9n3qhZ3PyXf6Vt4HFm/VYpf2al9lLJqWKk6K6SCIE1EAaNjeeo7WpynHKsOE
 fyY5k3Lbfyxz/mo+YaYzTMbIEoMhSqXJNiWyvE/JZgKCvNcq37PeRld4YkCRkBkD72ct
 EDEQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:user-agent:message-id:date
 :references:in-reply-to:subject:cc:to:from:x-gm-message-state:from
 :to:cc:subject:date;
 bh=/P7golcerqaH31qxz9HbWz8BtiLrZcKzs3uUy3BGG0k=;
 b=Tquj7EppPPvHtfjgf9jSDAdYLbJurIAX4N3fYCupE4qu/vlt33i+aJ7P/lIun5FqP6
 lK1guHSgYxaDGQKgMirjoAe921/bCtjSYL1ZvuXqbnP0OJc2v2XiKqSENtzI4xo4uxeu
 N4SkPH/VG3aU3lGhvhFYvDSmz/eh0Kq0pJGFmil9CPmmjJmNj/jrqjN3hs989XUYX13c
 hCa4bGHL2ETbYiSu1L8e+8rhCWTYhNqckbGMmRX2aqPJQbDDrKgWHzbETrbwJ/vBB7BK
 C3vFnTlye1HQ/wjzIRtKe7dQ6EKLlFrvlOVQwrpKdFrwxp7SZ/lXsyEThPqbaBvKiNTx
 5yaQ==
X-Gm-Message-State: ACgBeo22Q0fJs59ht/4tNtZlhXTiQA3v5Tu/BCcxUD1lqsyWiLotJHNk
 lkUzD+//MpieJNaD+CDEtlE=
X-Google-Smtp-Source: AA6agR51uvZQhNn8XhiA58T4KfxVcCF93bzcOrfH1ti2mi+JCI9HxalzNCHQduONdAr2r1VtLFcPnw==
X-Received: by 2002:aa7:8c44:0:b0:535:ed0c:f401 with SMTP id
 e4-20020aa78c44000000b00535ed0cf401mr14471326pfd.48.1661934178770; 
 Wed, 31 Aug 2022 01:22:58 -0700 (PDT)
Received: from localhost ([118.185.152.162]) by smtp.gmail.com with ESMTPSA id
 o1-20020a170902d4c100b001753cb9893csm1350074plg.187.2022.08.31.01.22.56
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 31 Aug 2022 01:22:57 -0700 (PDT)
From: Visuwesh <visuweshm@HIDDEN>
To: Po Lu via "Bug reports for GNU Emacs, the Swiss army knife of text
 editors" <bug-gnu-emacs@HIDDEN>
Subject: Re: bug#57320: 29.0.50; Lucid menus can't be operated with the mouse
In-Reply-To: <87zgflmc2b.fsf@HIDDEN> (Po Lu via's message of "Wed, 31 Aug
 2022 09:33:32 +0800")
References: <jwvmtbx3bez.fsf@HIDDEN>
 <87r119f4bx.fsf@HIDDEN> <87wnaqurd7.fsf@HIDDEN>
 <87czcioxir.fsf@HIDDEN> <878rn53juc.fsf@HIDDEN>
 <87zgflmc2b.fsf@HIDDEN>
Date: Wed, 31 Aug 2022 13:52:41 +0530
Message-ID: <87a67khlf2.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57320
Cc: Po Lu <luangruo@HIDDEN>, Stefan <monnier@HIDDEN>,
 57320 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

[=E0=AE=AA=E0=AF=81=E0=AE=A4=E0=AE=A9=E0=AF=8D =E0=AE=86=E0=AE=95=E0=AE=B8=
=E0=AF=8D=E0=AE=9F=E0=AF=8D 31, 2022] Po Lu via "Bug reports for GNU Emacs,=
 the Swiss army knife of text editors" wrote:

> Visuwesh <visuweshm@HIDDEN> writes:
>
>> I wonder if I can pull this off using debug Emacs running in Xephyr and
>> with a single mouse attached
>
> My experience is that subtle bugs with pointer grabbing cannot be
> reproduced in Xephyr (or any environment you specifically set up for
> debugging) at all, but it can't hurt to try.

I tried emacs -Q in Xephyr and it seemed to exhibit the bug but the real
challenge comes when I attach the debugger to the Emacs process, of
course.

>> (or maybe I can get my touchpad and mouse to be separate "mice"
>> somehow)
>
> You could try adding a new master pointer and attaching the device you
> want to behave separately to it.

Thanks for the hint.  This will help me.

> The disadvantage is that 99% of window managers have no proper support
> for multi-pointer X environments, and either crash or freeze.
>
> I think mpwm is the only window manager that will work, but it will take
> a lot of time to find a recent copy.

It was surprisingly easy to find.

    % git clone git://people.freedesktop.org/~whot/mpwm

did it for me.  This looks like the right window manager to me upon
reading the README file.
[ I got this URL from this random webpage
  https://readlist.com/lists/lists.freedesktop.org/xorg/6/33596.html
  that turned up in Brave search.  ]




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57320; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 31 Aug 2022 08:23:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 31 04:23:05 2022
Received: from localhost ([127.0.0.1]:38160 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oTJ05-0004i4-03
	for submit <at> debbugs.gnu.org; Wed, 31 Aug 2022 04:23:05 -0400
Received: from lists.gnu.org ([209.51.188.17]:53610)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <visuweshm@HIDDEN>) id 1oTJ02-0004hu-VN
 for submit <at> debbugs.gnu.org; Wed, 31 Aug 2022 04:23:03 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:53696)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <visuweshm@HIDDEN>)
 id 1oTJ02-0003TC-Qz
 for bug-gnu-emacs@HIDDEN; Wed, 31 Aug 2022 04:23:02 -0400
Received: from mail-pf1-x441.google.com ([2607:f8b0:4864:20::441]:43690)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <visuweshm@HIDDEN>)
 id 1oTJ01-0004nU-5c
 for bug-gnu-emacs@HIDDEN; Wed, 31 Aug 2022 04:23:02 -0400
Received: by mail-pf1-x441.google.com with SMTP id c66so3459817pfc.10
 for <bug-gnu-emacs@HIDDEN>; Wed, 31 Aug 2022 01:23:00 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:user-agent:message-id:date
 :references:in-reply-to:subject:cc:to:from:from:to:cc:subject:date;
 bh=/P7golcerqaH31qxz9HbWz8BtiLrZcKzs3uUy3BGG0k=;
 b=CKTSnebwN4hsYwsismQMQuOicOgIaGziPEcGmOnKxzVolWz0MRiAa2wuuzG/EuxgHy
 QcDfaEFs3BdJ42eS/QX0e/XmIBWuZpn9oCDmlr9i9W9Hekbqr9FyPENH1ftPUKSfUAC6
 99LLo6uq5NZANLZugHv6j2kBp05mV8ZQBZgvL/O+wD02rVWgBnJ+/QT5tEKzZYxN4shY
 +lhtVkMY9n3qhZ3PyXf6Vt4HFm/VYpf2al9lLJqWKk6K6SCIE1EAaNjeeo7WpynHKsOE
 fyY5k3Lbfyxz/mo+YaYzTMbIEoMhSqXJNiWyvE/JZgKCvNcq37PeRld4YkCRkBkD72ct
 EDEQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:user-agent:message-id:date
 :references:in-reply-to:subject:cc:to:from:x-gm-message-state:from
 :to:cc:subject:date;
 bh=/P7golcerqaH31qxz9HbWz8BtiLrZcKzs3uUy3BGG0k=;
 b=c8QUewR9C25XWy39+/CzHuLY4XQHrh3SJiEcOJ+7z1i8zs9qCj0FOg1/n5IkUw2bdt
 7jQhB0X0gTFRQL1pZq7cwIF7DpjtS/By8Q6PYBvxyFwDHMKcZXcJlTQ/WQgpsVnpVX+7
 Zu2wyL0NvXGi70/Jl+JUjt9j6Lq8iCJCyDfYoUPnmgnJnWDPPqLEsBrHcpnnNcuuPqxe
 W7MV/q8+IjmX5nUGQt6dkzKt7y8mwmhJp68L1XXka6c1VPJ5jD2cogB07F7WPLsNVakh
 XkkwNowUTG1jolK6ZgWfoWRtsPqqmomFc6DKXk2yF/rZX+OIk5IWcct+v1ozWbJwptYB
 m+GA==
X-Gm-Message-State: ACgBeo1TDUDH5ZJPRO1SNbNSJI4u0vkq90vC0ba/3f/F1ridLwelIowT
 YuJkLJus5WeEh1zgJpsPWCNzyE0FeqI=
X-Google-Smtp-Source: AA6agR51uvZQhNn8XhiA58T4KfxVcCF93bzcOrfH1ti2mi+JCI9HxalzNCHQduONdAr2r1VtLFcPnw==
X-Received: by 2002:aa7:8c44:0:b0:535:ed0c:f401 with SMTP id
 e4-20020aa78c44000000b00535ed0cf401mr14471326pfd.48.1661934178770; 
 Wed, 31 Aug 2022 01:22:58 -0700 (PDT)
Received: from localhost ([118.185.152.162]) by smtp.gmail.com with ESMTPSA id
 o1-20020a170902d4c100b001753cb9893csm1350074plg.187.2022.08.31.01.22.56
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 31 Aug 2022 01:22:57 -0700 (PDT)
From: Visuwesh <visuweshm@HIDDEN>
To: Po Lu via "Bug reports for GNU Emacs, the Swiss army knife of text
 editors" <bug-gnu-emacs@HIDDEN>
Subject: Re: bug#57320: 29.0.50; Lucid menus can't be operated with the mouse
In-Reply-To: <87zgflmc2b.fsf@HIDDEN> (Po Lu via's message of "Wed, 31 Aug
 2022 09:33:32 +0800")
References: <jwvmtbx3bez.fsf@HIDDEN>
 <87r119f4bx.fsf@HIDDEN> <87wnaqurd7.fsf@HIDDEN>
 <87czcioxir.fsf@HIDDEN> <878rn53juc.fsf@HIDDEN>
 <87zgflmc2b.fsf@HIDDEN>
Date: Wed, 31 Aug 2022 13:52:41 +0530
Message-ID: <87a67khlf2.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Received-SPF: pass client-ip=2607:f8b0:4864:20::441;
 envelope-from=visuweshm@HIDDEN; helo=mail-pf1-x441.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: Po Lu <luangruo@HIDDEN>, Stefan <monnier@HIDDEN>,
 57320 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

[=E0=AE=AA=E0=AF=81=E0=AE=A4=E0=AE=A9=E0=AF=8D =E0=AE=86=E0=AE=95=E0=AE=B8=
=E0=AF=8D=E0=AE=9F=E0=AF=8D 31, 2022] Po Lu via "Bug reports for GNU Emacs,=
 the Swiss army knife of text editors" wrote:

> Visuwesh <visuweshm@HIDDEN> writes:
>
>> I wonder if I can pull this off using debug Emacs running in Xephyr and
>> with a single mouse attached
>
> My experience is that subtle bugs with pointer grabbing cannot be
> reproduced in Xephyr (or any environment you specifically set up for
> debugging) at all, but it can't hurt to try.

I tried emacs -Q in Xephyr and it seemed to exhibit the bug but the real
challenge comes when I attach the debugger to the Emacs process, of
course.

>> (or maybe I can get my touchpad and mouse to be separate "mice"
>> somehow)
>
> You could try adding a new master pointer and attaching the device you
> want to behave separately to it.

Thanks for the hint.  This will help me.

> The disadvantage is that 99% of window managers have no proper support
> for multi-pointer X environments, and either crash or freeze.
>
> I think mpwm is the only window manager that will work, but it will take
> a lot of time to find a recent copy.

It was surprisingly easy to find.

    % git clone git://people.freedesktop.org/~whot/mpwm

did it for me.  This looks like the right window manager to me upon
reading the README file.
[ I got this URL from this random webpage
  https://readlist.com/lists/lists.freedesktop.org/xorg/6/33596.html
  that turned up in Brave search.  ]




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57320; Package emacs. Full text available.

Message received at 57320 <at> debbugs.gnu.org:


Received: (at 57320) by debbugs.gnu.org; 31 Aug 2022 01:33:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 30 21:33:50 2022
Received: from localhost ([127.0.0.1]:37789 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oTCc2-0006le-6o
	for submit <at> debbugs.gnu.org; Tue, 30 Aug 2022 21:33:50 -0400
Received: from sonic307-10.consmr.mail.ne1.yahoo.com ([66.163.190.33]:38758)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1oTCc0-0006lS-2a
 for 57320 <at> debbugs.gnu.org; Tue, 30 Aug 2022 21:33:49 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1661909620; bh=RBui7vBUXnUjc22KsmzLhnxMYIgKvLlWCyyXa59Hq6I=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=SJjT0tGTlZ9efm6nCTHOARm5DQkX7a7C5ldxNkEex6hUa7c3i9vy4R90fMDqJJ5PK81wiUjOEz0NXo68wuOLWs+fSwfDwR8zXK2sCleg3OEL8NmYD9Mufy1lS56rwnhLDxnafksoTyoAkFrfw2GEOmWXHVNGraq8QrOSx46UxW9sPJK1rELRpw8YNvKJFybPYDSI3JcCXqyFq884+83mqlUbG0kJH3niT97TD6m5KMn+gaayWy/TRkGwMhFsB5M3nAJiu8UGRAt+wz6J6IrwJvOrQtCjJ3/Epmf3pWFoqk/cBkaFsW2fNx2/sFL4DwbAUfTVc3IKBdBOk7A4DS4UTA==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1661909620; bh=iXv+O16il7WEhAudaIY0I544jwjtfyvXg4+EA5ok0qG=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=SUSpafJhOO3+WCbfkJjMu1HUMJaaMJ92Qv5QIRs5m9jUGYOqGUECMMOZCmdgcgnU8g0S/+GjsEKdoruZm5t54tR2xzckJ6i5FSEex9ikVbmAvBuN066xyc+QfA193BP3/LbaQ0LVQDMJPO3zxQzi+yMK73lnvfA6cyrAnKYVs259qKrbxiG0G1Xs+n0KHKfxmBZHWxvTG44BHogEUrKhsHhPneRPtEUbB6rRQm54rNB2jIJQtXSJA/SPMVRbOZF797IvDMGS0CBePh8+Ik9qmJ1TSbDwmS+sdX1X+cxyvTrJbQtEqNetygxMQm4FgD2shVHUeIchkeLPNsUxIzccUw==
X-YMail-OSG: 8Jq5t08VM1mcVpqEMlZ3eb30Qs5d9zE7YUppMcdFvAr_0uih0CTyCAld388WI6f
 .rHvwsnE7YXhx0qcIz1QmdjkG__od1MkNab0QJa5RHgvf48PTDApDS8mO7VFFAeP78TPrx_9rOYW
 PJGi.7P_AO_TqE.DhPZPUv6QA00Z3ei4J0BZaOGF5iNjtjt84lK.lc6nvk890JdxD_Ke_bzRKLxk
 qrSocKxJvijPp2AgAPlOct_N.EKCTH57EVpDMk7HKbqZ3OE7Rx7zjB4gDcnAIVz2q0f0iRJDqcrR
 KVzUic7U.apjxDFcXC.Jz8IEFE1yB89i5VgR6vsOMQSFydLcL2ISRcqo86QwGo3QmQ8Hdvhkyf_K
 wSOiVpJsZt0SoXdo8ncWpMl7HvUojCCSd9m3IEVH.46w_B50y9KslzF5BUub71HyilZHPpS4pS03
 rcQML537kTKBiznSs0cWFwmOg1xe7OADZ3vkuMMiovmgHACYenS809fy0QwZxkYOh0.4ZGLI2syv
 CicDT7Bd3xoDT3.XdkXVZW3PoMm3HsEhHQmLzCGFsX3kS2D7oaOJgJYrrLUt3gXuxTSYPzzymTrK
 Nt5.vLqEUqlrK72qOO0OEI4DPQ5E1FFAcHmIjadYu_tpmdHtN86sb8iV5aSC7JFStg6fY5nAv3_m
 59_einw9LxI6sekXPQLMHzecpoy7TfZmBF..vvPUrAWYNAR_0pFCKgEyRtpDL8KW8WsCfCPMLfJ8
 LuLAJIGdxDMAz9raXo2dSfgZ7GApCT.0wXhugGGMGp0Ri7OyaImKHqlYcS2VUwqjR1KKvH0pF0TB
 68oTFtmpLT0HJvSovSb8dL.MvMtycVw5K17yFn2SP9oYkKAioqolaAZAhlXdjGtl1wlgjwPq1CaX
 u2vX5bCbBt7jcGDQWp4H8ICNtwtXGIw6iu_o263_h8RFuh4fLrFyx.y0mHQjrrj1gC.mBA6EHinh
 Ac5YPZ9Vcg54c0frPo7gNWNIUnpAaLm4BxKHPwAKHcJ7rjjZlA8foUV3WBOJNfXxkGkOkj9TEJRD
 9OXJqo7XxAqokLTuyBZBg0k5X27qw1auDA.l4lV3dgyB9Gd18uMFtKE38epyshsE.Sgaak0g0wsD
 RgsVD4m6Rk5pLL8hb6kX5FzAZsEf5FkBIss3HFAc99X3idITbAMyuuwG005RplIhoDYkymZOLv3R
 5wXeBEJZ9VGgfhyru_O3agMJY0FU9.Xsm4AkbeMuaBuc15e.vV75y12nZ0dEfbdZVeC9hkvUguuz
 EljLQHgNdBQhasuRMjYjS3NMBx7ePPTpgFwfEEgZRUmhIWFSTxe8FQO_wT3GPDa5o1htEE98OdW1
 4onsq4zqZSeUkWtKK4c7wm0XLhB04KZbww.c6Vks0pgiKkE9ECTMPGq.uDhG5i_d7zwRgwJVlNxt
 XeJhxdG_mIxg2FqtyE6pTbVXDXVdDtxl4JB3D0j5O0ySIpr9Be5WnpU3buBoTDz5DpA5VIMX.QYL
 .r2Fh.taRL5oo2.mp_p2.oODSYjlRrJbhbqY.8bsn2Z5NZc.Ga5Q7lkIBY5H7v8DkZt06rx8_hwF
 N3pPRnziznHtMN43a_Nt0Wd6cBaiUftn0Dwuf.avMPZgsSHFC9f2fhW1QPi6IXCy0cJ6WJ3KVapc
 0f6kD5teEf3OOKDH36wCGI1YJa.AT2naCfQVnNApXpnOqJ6k7Zmf1.anXlFEoAVxteHeW_TcFcwH
 VdMejYRIT1l.P3.qF9DRxsI3ClRgapINWEkIWMCt2tSEF.pT891FmazvqqMdoFPhSeHZ.UnLw8UP
 KRA2x6XApxV3POgqGOY7GwmghEV6KjeMpVgZNI9MfedgCU.JFZjqTup8oJV5zu.rbOLftvQHMBIf
 lKzMaN52Y6KvbnTSDiw3EDdnGkX4E_L.u7kWlnLDidd75dW0n7AGqQxTJvLQC6rEBBZlTR266QYx
 RqQo8gg3p75UqtwRO3udYtz50UTZeDe3udjTFp7BGrc4_shP0CZuelxIsXSuP4xZDYqqyH8ymX2B
 CLqKKi9RrVEnIiyKBJIYPuuINT2KSyaFPwi1lklGgmHlZ86CZVl8vB4SK6X.v0plPmGELfUQ3vW8
 R6o5rZxjWBnr5ERtvl7bXOwAWnDVq5iWQMzDlfURFdq5kcK5h2UDHq6VDjwB7XxtTp2m2WinOc6Q
 ChGwG4DSAapGGV1c8GsvibWjYuh3_ypDndawnTD0vcnW7zJf2__naTpKN.SNj4WFw4.h.9nv2T4R
 zcR0rniDQkxleiIPPh0TxwFVw3Zm_bEuTHwhWXxAP.XAq3_Bo_5VuYAb1F9.YNlygPIUVmIQDyrU
 jAo6DUw--
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic307.consmr.mail.ne1.yahoo.com with HTTP; Wed, 31 Aug 2022 01:33:40 +0000
Received: by hermes--canary-production-sg3-6f58cd9b5-fl5rh (Yahoo Inc. Hermes
 SMTP Server) with ESMTPA ID f499cbb8b7fce36c65bf07d848d7112c; 
 Wed, 31 Aug 2022 01:33:37 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Visuwesh <visuweshm@HIDDEN>
Subject: Re: bug#57320: 29.0.50; Lucid menus can't be operated with the mouse
References: <jwvmtbx3bez.fsf@HIDDEN>
 <87r119f4bx.fsf@HIDDEN> <87wnaqurd7.fsf@HIDDEN>
 <87czcioxir.fsf@HIDDEN> <878rn53juc.fsf@HIDDEN>
Date: Wed, 31 Aug 2022 09:33:32 +0800
In-Reply-To: <878rn53juc.fsf@HIDDEN> (Visuwesh's message of "Tue, 30 Aug
 2022 19:38:11 +0530")
Message-ID: <87zgflmc2b.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20595
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 754
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57320
Cc: Stefan <monnier@HIDDEN>, 57320 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Visuwesh <visuweshm@HIDDEN> writes:

> I wonder if I can pull this off using debug Emacs running in Xephyr and
> with a single mouse attached

My experience is that subtle bugs with pointer grabbing cannot be
reproduced in Xephyr (or any environment you specifically set up for
debugging) at all, but it can't hurt to try.

> (or maybe I can get my touchpad and mouse to be separate "mice"
> somehow)

You could try adding a new master pointer and attaching the device you
want to behave separately to it.

The disadvantage is that 99% of window managers have no proper support
for multi-pointer X environments, and either crash or freeze.

I think mpwm is the only window manager that will work, but it will take
a lot of time to find a recent copy.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57320; Package emacs. Full text available.

Message received at 57320 <at> debbugs.gnu.org:


Received: (at 57320) by debbugs.gnu.org; 30 Aug 2022 14:08:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 30 10:08:31 2022
Received: from localhost ([127.0.0.1]:36836 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oT1up-0005hN-0t
	for submit <at> debbugs.gnu.org; Tue, 30 Aug 2022 10:08:31 -0400
Received: from mail-pg1-f193.google.com ([209.85.215.193]:42752)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <visuweshm@HIDDEN>) id 1oT1uk-0005h8-RT
 for 57320 <at> debbugs.gnu.org; Tue, 30 Aug 2022 10:08:29 -0400
Received: by mail-pg1-f193.google.com with SMTP id q63so10770022pga.9
 for <57320 <at> debbugs.gnu.org>; Tue, 30 Aug 2022 07:08:26 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:user-agent:references
 :message-id:date:in-reply-to:subject:cc:to:from:from:to:cc;
 bh=WYc7hvfC5R66300H1Lh1dxzt5ZVHPHHOh3r5jgM9JMQ=;
 b=LVsD56eEkT0P9fZnc0hp8shZ1VrnMBHDP75CItIE00aOp/45iyN5yqAPnh3zUwHf1i
 YN8C6qzi1I1X0bgwRheRIQVUPhGxYDHgIJykBhDQ0FhimKkwdrwVHw4VWvcd+GKIzPi7
 Z28sXrqkJyytfFy0i/NPO/hTvXJjr6sg/L+39naCyArwOs5EGF94sHGOimKoSm1zIMqo
 ZG1kOLzkGriUA8LHhEFPFyzhltLojN4/VRFbmfGZ9imreXUjE7UqKw2YvxvN0aN3RmqN
 CbGV/zpawpttKOoRdMZYzZF1eoSZjkql02F0b/c9gOs2Wx1rrgQXL+xwwqN0rk09Cf6B
 f/wA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:user-agent:references
 :message-id:date:in-reply-to:subject:cc:to:from:x-gm-message-state
 :from:to:cc;
 bh=WYc7hvfC5R66300H1Lh1dxzt5ZVHPHHOh3r5jgM9JMQ=;
 b=4iSLxZv1o5cOQi3hoQnzS4ub+JeAW9Ffut4NOvmYdLtgJs8QriFkyABzSXJkFvPa4v
 rBPL1eSwVm2NWIhGg07ryuS6CGhghyJpxQsefieYB/z2EjrMiAv59+B5Zcu5EInT+N+m
 w3MH1CBhZD+GG0MdPVVzxrGz1zPenxu7nCkxwn1BRufisUkV2i5jbb7qwNOXge4FiOmO
 yDYRq3egcJVKB7nRaXRu61sVpzi+izj40aBzvGcSTw8UlO9xWnI5O3mqTRd1UvfGZAxd
 1KTF4pDJAe5gPl7iqGWsgfkiWzFHSb4VxJodpG1OO9Ai8RLZxAg5g4FsvLdh+0QHX3f7
 Tbqg==
X-Gm-Message-State: ACgBeo0aiOnVx1DS8fdRe7i40+QnBEjDmo7bGqEvmcuFqbVg/bzLVS2j
 28IpNNUlx+xvdpWDffRvzTI=
X-Google-Smtp-Source: AA6agR7V/iZjn5WgQWUDV6fNRKDJD7HKMWveQeYvQrSxgp7dZ1MILre5XKPoQ34xSo0sxIF3JbuP9w==
X-Received: by 2002:a63:2cd2:0:b0:41c:5901:67d8 with SMTP id
 s201-20020a632cd2000000b0041c590167d8mr18017668pgs.365.1661868501075; 
 Tue, 30 Aug 2022 07:08:21 -0700 (PDT)
Received: from localhost ([118.185.152.162]) by smtp.gmail.com with ESMTPSA id
 y68-20020a62ce47000000b0052cc561f320sm9268346pfg.54.2022.08.30.07.08.19
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 30 Aug 2022 07:08:20 -0700 (PDT)
From: Visuwesh <visuweshm@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
Subject: Re: bug#57320: 29.0.50; Lucid menus can't be operated with the mouse
In-Reply-To: <87czcioxir.fsf@HIDDEN> (Po Lu's message of "Tue, 30 Aug 2022
 18:07:08 +0800")
Date: Tue, 30 Aug 2022 19:38:11 +0530
Message-ID: <878rn53juc.fsf@HIDDEN>
References: <jwvmtbx3bez.fsf@HIDDEN>
 <87r119f4bx.fsf@HIDDEN> <87wnaqurd7.fsf@HIDDEN>
 <87czcioxir.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57320
Cc: Stefan <monnier@HIDDEN>, 57320 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

[=E0=AE=9A=E0=AF=86=E0=AE=B5=E0=AF=8D=E0=AE=B5=E0=AE=BE=E0=AE=AF=E0=AF=8D =
=E0=AE=86=E0=AE=95=E0=AE=B8=E0=AF=8D=E0=AE=9F=E0=AF=8D 30, 2022] Po Lu wrot=
e:

> Visuwesh <visuweshm@HIDDEN> writes:
>
>> What exactly does "do this from another machine" mean?  I would like to
>> help debug this but I don't understand what you mean: do you mean to
>> control my computer running Emacs from another physical computer?
>
> Yes, as long as:
>
>  - the Emacs window remains in the same stacking order as when the mouse
>    button was pressed.
>
>  - you do not use the mouse or keyboard again.
>
>  - input devices remain attached (meaning that you cannot do things such
>    as switch to another virtual terminal.)
>
> So in effect, the only practical way to debug menu grabs is to run the
> debugger from another physical machine.  (Unless you have multiple X
> servers with their own keyboards and mice running simultaneously.)

I wonder if I can pull this off using debug Emacs running in Xephyr and
with a single mouse attached (or maybe I can get my touchpad and mouse
to be separate "mice" somehow).  I will see if I can do something some
time later this week and report back.  Thanks for the clarification.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57320; Package emacs. Full text available.

Message received at 57320 <at> debbugs.gnu.org:


Received: (at 57320) by debbugs.gnu.org; 30 Aug 2022 10:07:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 30 06:07:29 2022
Received: from localhost ([127.0.0.1]:34809 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oSy9Y-0000rP-RY
	for submit <at> debbugs.gnu.org; Tue, 30 Aug 2022 06:07:29 -0400
Received: from sonic302-21.consmr.mail.ne1.yahoo.com ([66.163.186.147]:37210)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1oSy9W-0000r9-IS
 for 57320 <at> debbugs.gnu.org; Tue, 30 Aug 2022 06:07:27 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1661854039; bh=IfzvS1/sJ2M2kg/BUssM01CXZQnfZniotKUpQmHV5GM=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=SxSOF/ODOcZy0l8uOg1MfaW/xfmi0XnPa1NyRrrXm4rf5s9irXAWb1jhMOpAhRYeJ6HQgiTsykAM1KmesrTw+3ANT2zprcRkhjk+syKSFo+CU+lIwX3srLgYrPQi9S77fvqbBscB2Ni9/5IpOiU+hKT4XW+UbUb0C8I5eAxY2kO1BdS2wMd6C/4+dBqXxlt88hhjIRGJBIQq5al1z+7eDXeS/0tWaUXFAAZz67FjxhzGbwScpSEJkXr9tB8ey4dVEjFiqMamAVKoQAJS+kkZJWImHTl0bhvM/lSUzVWNQzKyRgLNBjeVX9QHC6DgHq17EbADxpXuYmLU8Hpc7fj93Q==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1661854039; bh=Bn/ReVcVsmpgxNBHfhLdAVWjvDQzrqmNrVGs1pXPnHu=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=gQvLtrzpnCYts+jG+c3yZES6DAvxT8k4S2N15isNico5p1ovAX3K8pUB+rCOB4eXjirBIlYD40tmgGVq9aEQQN55DRj8Ndf5n3Fzb9t+8gLKdOm7tJ2aednYcFuKCYiXUOeB1UEyHhRBdV2AKn/euZA/4S1EW1pYvfL0745n1LMPCvfOhu4i/7d5G6WKt+JI6G8ipzlpRHhlK72Kn7pK4LHTzMM32LCLDg4PYKSD0Fw42M5ZV8gjEyGt8lZ90Q3lVWMrcrXXgiW0xgut4IbrApAznAFNGDSzdukYQWj6crcDVSHfBxOnBHksxQj3RudXFmaMl/GeDPq34q5SjrcxbA==
X-YMail-OSG: CiAEhNoVM1msmjW.pfnC6uhbfuoC8EV4c9IQLTOgRtuBjxtWGDhLFhGn5XFqN1G
 DrBpHkHMppgK2VMooWGWhTlBM8Mwj0fmcXoaZZ7JeGQbFKyEi2gmvsWGfxFLDw0jIEDpoQG0o891
 ZCO36wjKXKi5wBrVFevvib6b0.NKOLKDyk1ZJxamCV5X6pQgE5olIA.tBeXEtk8ZSbJIgAnh9HTl
 ps6AuEUmu5MDBWedHG5rgsMDcVCXeV97hgUxbyBDWy6NkkJbrQtTLWf2ja66l2RhptBnur.WxewW
 6BTprHfPs38.qeQYeC1cZhOXJVcMYmDstkBW0lbR34l8iuoSY_8ZrvJMJ2StvZSlLrHfjeBiSJHs
 evvkYVR6KCT.JjQeV7CeyC4KsQI.aFPttVs8xR6s4qBS9ehENFGEYEI0oUmXbxvNpbh.ptwv5yEd
 oWnDrNExFkHTT7hG5GepKxyGucElWLHRU3zRD9nJWDATqdi6R.OgaWprr6j87yiBqzrTIDkLam25
 jflfj0r9f8WhIuru09LtSa_04FDlk23cxDYGGCmf8acg8Y3tEAiL0dRFxwLS_Nbw7msXkGbr0rb5
 E42HjRC4o56Row2ZovCjqlph9m0kCEVfpQYy4MZlwQtEADs1_9Roopoi.Pu5V6x2fmDCuXZn.JbW
 2.EM2T60wZtLkHqHH4ZFPbWqEm6bbiKhMNDJB4sjDmgY3lqznsAEQTlW2SNV86jujyZHzEyIbB6s
 xOpHPuZ3035jgJZTr3AoxgM94EEtlDA5fGxKbbp_nFneAnQneyGL0h5LVTObJN45zR96CoqLO4RL
 q0WhmHxMT.KBqecqZQDktliQb2wq9WdMRE00.GhHQN904xXwXDGBr1yEQDSd.W1M7p6W2VUNMr1y
 x7R3fRZOERF0zPR7G8wMVfzhxR8W9pMiNNIxcFFJopiRcitU08TYmjh4blD2gkQxsKjNFAGMnDmi
 znAgyu4VhXet6nYaNIYQTzZWZpKugD7.PbXd.40EjM7GYCmeQryj7Yck4WDkt6SGEdjJC3_TcOYu
 9f78fw7X_odz3xndtptUpENkHRJiHcyr9jyEDRhi4TOy6UKFX2UdfSklepyfCCi8couy89xGDYd9
 AT6_Ea0Qn1LrclVwmetF_lk0jb3Ll_fB3ABFQd47NQ3D9R1Nu75RhpHXfGSDSeed5Xjuzn0lRuSB
 aUR534eMaQS2hqJAjb1p.V86a98gkrnCZTTfUqMTOGLlDaTYnHrnn7Wz7mqAZ9zdQlY9PnK40cxV
 nPxxxwimXWCvCRS44basFvYLAk_WqNtxNnbwlLITZMGFApn4NjaY.q4rFFRkMwu60.GRCdt9F503
 aMvCl3inxvWFe4Fn9fhzWXpwpfx5884tj8_EOZY1rhsuSlJR5Mx7qZTDuD0526F1AuKIEhNOLK6B
 PVC0mIHfKeXUVvhWzk7KMdJ0zthaxfxhSWHpfznvmetfIyNWW_CvqWcll3xCw7EPeOIe.ffyo32B
 tJZB8ijEStdz2B3_Kl0o_Wny0VuQ54wALgYnfoE2NxxxFQ_hh7L_gXtCJyja6mzkHZb_2d0C1iH1
 xIjp0TIjNfVHJpIY_tTL.9rCOkQ9vp8Gi2dwN9Oc7O_9wfHkm_emZ8ZltIni8x9Ezva6IsoBibig
 1BPMbnjViZbZMc1hF.XtffQE2y.5wX86JwKOL80y_hg.I5pQ_Ob8bR6v5sd8G6RkXEFZNFTWrTgW
 bpuR5lntJcD1xQ_q0dqWnX5CX.k6MGehcKaC84HJF8Qj1yqAdW2mpM99AB_PGq3Tm0cTT_fxcu9l
 QfLHpe0fGhQUlANCx0BgmTaE52ncFSjJ5bWQPR3uhp9AqIv8XLfG1Pc3ZBr87n9H2eSmfaYl9zD2
 hYrulpbZdXpq1a_DwUxdkZCNOf6hEghda9680DbS6WxDVLP3_fN1zN4hyrI5UDbzxSfqUSDAIL_B
 hXZhCBNvdXrrb4t9EaO9IVEpxgzcjDIPy6UahYr0dNpkCfp_Ugwhcl6xjrihY2pQoTO5G6Rsnt7L
 NQT3ijW.LAU5kpXCCpdSeU93wWXWO0.shRhAFoLB7UxjbAdnsEjdvcQxXpPbhorvCbrx6xAv3Q4B
 hjHGXx4KUIcswKSIw324E6T4C84_0aEE02xthmqefNsESPM4RcFPawDw3PIYK_BCfmoTR_LTqWQU
 Rup64hjZ5o3YMCYV6TTXXYsKRn.6ZfcK9r6Vn7DAYFLcS7KEy3qyKpMlLdmmPLv30XbGSEtQ0M_n
 Jvgz.hhRPBNSaPOZzrwNh_lA9dUlAXUzWAlJe7G5BOqVExt.agixvREu0JwnPHnxmJICq.LphKtr
 vCnPHm.k-
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic302.consmr.mail.ne1.yahoo.com with HTTP; Tue, 30 Aug 2022 10:07:19 +0000
Received: by hermes--canary-production-sg3-6f58cd9b5-slt79 (Yahoo Inc. Hermes
 SMTP Server) with ESMTPA ID 4b9c74a3c87d1f4dddcc33f1ddcb00a1; 
 Tue, 30 Aug 2022 10:07:12 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Visuwesh <visuweshm@HIDDEN>
Subject: Re: bug#57320: 29.0.50; Lucid menus can't be operated with the mouse
References: <jwvmtbx3bez.fsf@HIDDEN>
 <87r119f4bx.fsf@HIDDEN> <87wnaqurd7.fsf@HIDDEN>
Date: Tue, 30 Aug 2022 18:07:08 +0800
In-Reply-To: <87wnaqurd7.fsf@HIDDEN> (Visuwesh's message of "Tue, 30 Aug
 2022 12:53:32 +0530")
Message-ID: <87czcioxir.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20595
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 741
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57320
Cc: Stefan <monnier@HIDDEN>, 57320 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Visuwesh <visuweshm@HIDDEN> writes:

> What exactly does "do this from another machine" mean?  I would like to
> help debug this but I don't understand what you mean: do you mean to
> control my computer running Emacs from another physical computer?

Yes, as long as:

 - the Emacs window remains in the same stacking order as when the mouse
   button was pressed.

 - you do not use the mouse or keyboard again.

 - input devices remain attached (meaning that you cannot do things such
   as switch to another virtual terminal.)

So in effect, the only practical way to debug menu grabs is to run the
debugger from another physical machine.  (Unless you have multiple X
servers with their own keyboards and mice running simultaneously.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57320; Package emacs. Full text available.

Message received at 57320 <at> debbugs.gnu.org:


Received: (at 57320) by debbugs.gnu.org; 30 Aug 2022 07:23:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 30 03:23:43 2022
Received: from localhost ([127.0.0.1]:34624 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oSvb5-00055O-Cs
	for submit <at> debbugs.gnu.org; Tue, 30 Aug 2022 03:23:43 -0400
Received: from mail-pg1-f194.google.com ([209.85.215.194]:43552)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <visuweshm@HIDDEN>) id 1oSvb3-000554-I4
 for 57320 <at> debbugs.gnu.org; Tue, 30 Aug 2022 03:23:41 -0400
Received: by mail-pg1-f194.google.com with SMTP id v4so9893777pgi.10
 for <57320 <at> debbugs.gnu.org>; Tue, 30 Aug 2022 00:23:41 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:user-agent:message-id:date
 :references:in-reply-to:subject:cc:to:from:from:to:cc;
 bh=mgCIt9KfBYgIjB+0O6oCrnu6jcPm7E2qoko3PESqqgE=;
 b=p5q4D3fXAbZ9kzAsS2MgcORO6EvkLoo2ZkSXq04o7Rs96gwPQrwIy+TFutb80LxTQO
 arHIgU6n3R2G3FrvwY+5sxuuh/qtYnK4LACcBUnSnagMHxVD1wbL7f01Ag5WahHakrvo
 sAsMZrDhjqGdH5UshqHAn9wyjk6b1Jvyc5z/G/W+W95k0aPE/7C1aD4fX1Flu9Lvt26F
 QS5zSEF9WLvJlhE1T8qSr9trJKDSNrwVMtpKkQosozBVoVTxm/6T0P74zjBROazsn8A7
 WU8hANp2S3lnKXfb3eBlnH4sHeCuVBFrRG3LX2EgPrJgaMu/LxjZGupw+oiC80bQ8fKC
 mDYA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:user-agent:message-id:date
 :references:in-reply-to:subject:cc:to:from:x-gm-message-state:from
 :to:cc;
 bh=mgCIt9KfBYgIjB+0O6oCrnu6jcPm7E2qoko3PESqqgE=;
 b=D8IoRILc4mb+rxfUYb8n7Wm0mzvBl75IMc6LWwvi/HXOIeL0g21RSyeYPQ7IPEYiw2
 zJcrWdvYC+GRt+oqSTlYcGw5lJ/YUJMWSIE9olI+uC12RQtSC4v4FtlPmRoascVFK7Qp
 0XK8OYCcLgI3yn1L7AlnD7hw2YZLkcPsJVrg/UT4dnrNTapjykx/7REu9uVGlVa0yGWl
 g06cpErJ3rTNX9v5X8JaiFO0ndvxT4rBSkfNADIGJ3HYo5KY4hbV9eyjkQQJB+fRD62n
 Z5us4ocVUx1joZ2C4GLjWBhEUFEVETOWdgkfhiE7VHzKEcvzwp+sPiS84a7/fgZzAD6B
 Llfg==
X-Gm-Message-State: ACgBeo2gYmJp+XgGggDmlg0h66RNy0dNTfSI7KjLVqgBnqJ6gSGAOIb7
 Rnv/UfrsMTMnvG0d76RhnUY=
X-Google-Smtp-Source: AA6agR7JQ5NJwnP2s64/6Z0yNbvWYUmRD8lGAHHo6zZw1U7gi+SuNGfNt2OeLN6/qQToB4T+TiKROA==
X-Received: by 2002:a65:6d87:0:b0:42c:5a17:15c8 with SMTP id
 bc7-20020a656d87000000b0042c5a1715c8mr4465330pgb.409.1661844215563; 
 Tue, 30 Aug 2022 00:23:35 -0700 (PDT)
Received: from localhost ([118.185.152.162]) by smtp.gmail.com with ESMTPSA id
 iw10-20020a170903044a00b00172bd4c12b2sm8811738plb.224.2022.08.30.00.23.34
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 30 Aug 2022 00:23:34 -0700 (PDT)
From: Visuwesh <visuweshm@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
Subject: Re: bug#57320: 29.0.50; Lucid menus can't be operated with the mouse
In-Reply-To: <87r119f4bx.fsf@HIDDEN> (Po Lu's message of "Mon, 22 Aug 2022
 09:35:14 +0800")
References: <jwvmtbx3bez.fsf@HIDDEN>
 <87r119f4bx.fsf@HIDDEN>
Date: Tue, 30 Aug 2022 12:53:32 +0530
Message-ID: <87wnaqurd7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57320
Cc: Stefan <monnier@HIDDEN>, 57320 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

[=E0=AE=A4=E0=AE=BF=E0=AE=99=E0=AF=8D=E0=AE=95=E0=AE=B3=E0=AF=8D =E0=AE=86=
=E0=AE=95=E0=AE=B8=E0=AF=8D=E0=AE=9F=E0=AF=8D 22, 2022] Po Lu wrote:

> Stefan <monnier@HIDDEN> writes:
>
>> Menus stopped working recently when operated with the mouse.
>> What works:
>>
>> - I can click on the menu bar, and that brings down the corresponding
>>   menu.
>> - I can use the arrow keys and the RET key to move in the menus and
>>   select a particular entry.
>> - I can move the mouse to select another menu.
>>
>> What doesn't:
>>
>> - The menu entries are not highlighted as I move the mouse over
>>   them, and submenus don't popup as I move the mouse over them.
>> - If I mouse-click on an entry in a menu, the menu is not removed and
>>   the corresponding command is not run.  Instead I get my window
>>   manager's "root menu" (i.e. the menu I get when I click in the
>>   background) popup on top of the Lucid menu.
>>   Same happens if I click on a menu entry which is a submenu.
>>
>> The behavior is basically the same for popup menus, except that in popup
>> menus the submenus do popup as I move the mouse over them and if I click
>> on an entry which is a submenu the menu is popped down.
>
> I don't see this problem here with or without cairo, but as with all
> bugs related to grabs this is inherently difficult to reproduce.
>
> Please put a breakpoint on line 2879 of xlwmenu.c and tell me what
> XtGrabPointer returns.  Make sure to do this from another machine, since
> grabbing will not work if you switch windows or click anywhere else.

What exactly does "do this from another machine" mean?  I would like to
help debug this but I don't understand what you mean: do you mean to
control my computer running Emacs from another physical computer?  If
yes, then I'm afraid I cannot be of any help here...
[ I'm on c0bb1aac102f8727484763370b154f635a6a1fd1 and still have this
  issue.  ]




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57320; Package emacs. Full text available.

Message received at 57320 <at> debbugs.gnu.org:


Received: (at 57320) by debbugs.gnu.org; 22 Aug 2022 01:35:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 21 21:35:32 2022
Received: from localhost ([127.0.0.1]:37203 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oPwLj-0007XL-Q1
	for submit <at> debbugs.gnu.org; Sun, 21 Aug 2022 21:35:32 -0400
Received: from sonic308-10.consmr.mail.ne1.yahoo.com ([66.163.187.33]:42362)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1oPwLg-0007X3-7S
 for 57320 <at> debbugs.gnu.org; Sun, 21 Aug 2022 21:35:30 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1661132122; bh=8Cg1jzF9PL7yhUS2+cKAIpaeMirDwu6KvGa7O7NQ9j4=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=uLJuMNhRe00kXftdE+Q7wU6PXyfdMoeq5rZZvctTx0GNEspj8xpYKs5LKatDr3D3jlL/rpxn69uXAkW5I4SAfQ/onbdKiK9M/9txDJvLRUJ8occGHHEwulU0v/RNrLzH6tL+adKgBU0GiLc/vFwgKDxat8frDKmozcUhVBhKtohjKwjuNl+eGTINFv/jPApErUN1mtBTVYN/AcePP880xopdwbroC86lMxRBMTGyn/T0ZXJnne6SMlALlmTKAG0xYyUc00vX4FOsczVoGuPFqPiJomdHv9vZhleFqE+/L/DauX8A6j+gDLnoW4W9r//bDc4cP+8STt8XJo9nZF0Vnw==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1661132122; bh=zOD5EKYIl8AI7LPvb9ZmdZZExK3A/jVmoS4AQvw0n/v=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=AL8+mcDy+NqNiYgeRlTqEMg4F9W0Pr2HAnLDSln4JIWMHA4AxdHwAKg/mdf15EnT1kd95xI0MAHR6iegAE+PmmQEz5/xqron969kJjDcEWumUMKzH1m42r7axfJ1GEnuIFMVf8+0MZ+gyIxu4hI5dPmuHfwzf7ixQIRfe1MUpKnr2PP1GL8kyA7FpHKoE+QnSxf0vF5ehiOr5bWw4O3clk+1aARBzuKuUnl3AYFiEF54cg0DOvT54ysAZdeI50blfPyiy+s0JrFkgiPxjasbdt7MUdoJ5FLI9eZ/Fl4KK9wEwNyAdPgq9CzUoDB5iX4b6kcOVO/jdedMji11bwWK4w==
X-YMail-OSG: oRtNHNIVM1kz.ZRyqYYFt9sfTMotG_I32hQST.l8VV0yEK_iVY5KFBjSzUqsQRN
 5SeGR632mkPO13HwtcEfk2HtPtBrmw9hNdsMr69zfSsckNPxW3GGZyyfJGHG1CBVkBpOB6pwbp1F
 7RbpqO_djfkLrDJCQ_hemfVONyRmjeP2uUag0LY9oqTg4XRMwvCgN3iTvwo9PMzv.KBb1DFjVD2o
 jJjUjEkW43SpR2L5.0iSc5rdXdFT3XiPN_Mc7AAzKdmVexYHT3qb2JfXuWK13tK6o2kK3V4.8aEQ
 .CJogR8oVZ_Aw2K1LZmuhuRXjWaUOy0JofE_HDsFF1sn7AEQ0AjSphLqewCx9LWR8388sX3hjGEw
 k54rGWAcJzVgAnGzBBCVmoOGyOWdvKVtRa7PRltZBK_4b4RYj0UOd0mZW4xCu21aZzrcki4X320H
 P8FlWE1GiXyAO8tgPZashkz598UOT_JTxIiESPvPF5t8WDOC.J7mfI_KRB8VbqxTto8mwkn.tFs6
 KBCUO8.OGDR.zqzXkb0osdfooTqrqHNJN2p4E_DjvJYpJbfYe12U3ozwzlABzNabWte526Eb_dpf
 lkqR7WoAzM7IODGM46sDt50vvBTdXWSeWb3PlLNYxz4AtIQmEeb4aZe39Lv1zID9PxOr2c4F27u0
 HqBb0adsp6uijpYOMp_pUdsvXuvX67wBrNL8mr0JrUmQaJTk6OlxtmpBFWAU4A5x8z147C9Z_Uli
 2_Fn0NB3Ue3qwewN012rMHC5dv9rhg13LP_2lcNR.2qsamHjR_KfX5ullo9Z2TNEJM3lGizKHx5X
 938p58ljF6fgvXd9F7ucmJTWEzF4mBquQZk6mbq7TTzng2aQhpegOPl1MAmF.NiMkbNg0_8UwosA
 ggMJ6QE8DiTZX97AGzFDy4d.GXsYTXOhUlC7dR8eO23Q0PiBt1yj0tLkKYlv1qDJ6tCcauQrBG4U
 7xlQDAZ1IWK2VkEfQ6Q7MxQ4Kjyg4K2ZvTRUlBU9rnDQS3EDPPmL5B0y6tL0w955Hf8pFB.oHa_g
 z.vyCI2lyv3Cc0Uxu_3tZEsE35U6446Lb_xuFyJ1R._t6tsYSmLxmtoCODzNfmR62ny2bGARd9Aj
 41VPEC7kkVhzK25FnCFMl.okCDBsT1cC_hNlPFhwb8duNr4RKrbrEBxw_65i72gkhWsqxebPcAUB
 s9X3ipCZN5FiWgnPAfs.tCCjoGBevKgZwgSTreSnZxsjzPsE2ZHw0j5AhCq1eGQe.flT4A3EqBQD
 ZYKbHbX12MppqVro9vp_dUx0L7os_eTRb6mXMjC22MFVdzJWN1M9cm4LuekEF7r3mBhRen4v6rsY
 5hDu0YGScAf5yA5Yfiph3DFsra_jROJd2o_1NQX3D0ByXVDuZTTzwFhFbM.w6YFo00ryzD3Wgt..
 n_qKAPBCQUsdLuFIBJagGECTd4qpGNzlC8kUCHWVQu85cidWY3PKxXCRS4j8HQi4nEOhBr87dlGx
 LgqH3UtQjh96.ZADt_3XkY8gV0f7XeP2edDlVMDZ8PVcfa920wIb5k9O_HLcSUVcBC1._8GXhulm
 ga6eIZUxJa5idK8E6on4PQqG_eQyN30YILA_ir.5fkW6seAwB.pzB1..FYL3L9pD5B0CDRhhNQr2
 Pld5LVyagroS7yWgvN1udMw3d9hkd9RCMIDKH4urlbituRms7j4rBEYdvDk7mrEumKIZW0W8XusI
 mgg5w2i1YDKkUvxEO_LSvkIUHDzJlyA1vmqek5K9iEwxFBVl2.pv4iPVV5c.vIQbldsMX5A7jvqL
 hpAsgRy7tEbYVzEn45MvnI2oHNPxfRYuV6RJthHjaTRnTlWQNS4MHc0M1YBYZzU8Bp5H8hTL9pyv
 sgsv_Kap.TisVP1jICKai0AxuCHW3qwUF5A0Z2KGf0qgPrW9CCw_jxPIeL_NzmVl2REc22cOEfWB
 tw0CpC5hcw7.cqPA9ffW1uefWNaNY1f457SGzWrEeOAvoWNInmdzZ1VxWlVa.iKslw7xlYg2nkLq
 XO4hCRrpAtJFxTKljq9cIqoV8XGkU2XUWSH6qn4BcU.pV1xbbQ2tl2Ds32.pJBLs.UDLDAKFRqP8
 PiuGxJGEyAPlif4tAHWmjCIiPH8e4_cF9PvveVgymW.Ck14UoAAYXNLZxmOKl7g142tKbMvGFNSI
 jHVZEKDwpwEu.NMXSCLzCeWEoCzDj89kjX_wWrmgcZL5DGLhDfUUagDPyog63kQfu5IvPuJ1HHWt
 21KWR4civr5xmrAWOUekdZxTrEzqbiOxaSnPXnJJf8ss5FpsovDj3CEzrKkdxYvd1YLN5ug--
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic308.consmr.mail.ne1.yahoo.com with HTTP; Mon, 22 Aug 2022 01:35:22 +0000
Received: by hermes--canary-production-sg3-6f58cd9b5-jq7xs (Yahoo Inc. Hermes
 SMTP Server) with ESMTPA ID 14d60c417417e2364ea18a55f48f1785; 
 Mon, 22 Aug 2022 01:35:18 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Stefan <monnier@HIDDEN>
Subject: Re: bug#57320: 29.0.50; Lucid menus can't be operated with the mouse
References: <jwvmtbx3bez.fsf@HIDDEN>
Date: Mon, 22 Aug 2022 09:35:14 +0800
In-Reply-To: <jwvmtbx3bez.fsf@HIDDEN> (Stefan's
 message of "Sun, 21 Aug 2022 10:43:00 -0400")
Message-ID: <87r119f4bx.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20560
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 1379
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57320
Cc: 57320 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Stefan <monnier@HIDDEN> writes:

> Menus stopped working recently when operated with the mouse.
> What works:
>
> - I can click on the menu bar, and that brings down the corresponding
>   menu.
> - I can use the arrow keys and the RET key to move in the menus and
>   select a particular entry.
> - I can move the mouse to select another menu.
>
> What doesn't:
>
> - The menu entries are not highlighted as I move the mouse over
>   them, and submenus don't popup as I move the mouse over them.
> - If I mouse-click on an entry in a menu, the menu is not removed and
>   the corresponding command is not run.  Instead I get my window
>   manager's "root menu" (i.e. the menu I get when I click in the
>   background) popup on top of the Lucid menu.
>   Same happens if I click on a menu entry which is a submenu.
>
> The behavior is basically the same for popup menus, except that in popup
> menus the submenus do popup as I move the mouse over them and if I click
> on an entry which is a submenu the menu is popped down.

I don't see this problem here with or without cairo, but as with all
bugs related to grabs this is inherently difficult to reproduce.

Please put a breakpoint on line 2879 of xlwmenu.c and tell me what
XtGrabPointer returns.  Make sure to do this from another machine, since
grabbing will not work if you switch windows or click anywhere else.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57320; Package emacs. Full text available.

Message received at 57320 <at> debbugs.gnu.org:


Received: (at 57320) by debbugs.gnu.org; 21 Aug 2022 15:12:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 21 11:12:11 2022
Received: from localhost ([127.0.0.1]:36522 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oPmcV-0001e3-7L
	for submit <at> debbugs.gnu.org; Sun, 21 Aug 2022 11:12:11 -0400
Received: from quimby.gnus.org ([95.216.78.240]:43414)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oPmcT-0001dp-Bf
 for 57320 <at> debbugs.gnu.org; Sun, 21 Aug 2022 11:12:09 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=lgxekjXVfSC/fYfHCSkpSK3UEbOlw0cgCcHF7Zoq85M=; b=gVlrs0/JiKldOwHJQWI6id2NCv
 pSs1VQ55IT0n5YMmhyng1LAygslDZRjxoZtFCZeRXrCRYAEpvdh9fy9rRIr+b3wY22SgP40qFiXQS
 l6BNK8kXRXy6Os7uX3GHBnxWGa9v4T3poPjU2PNs3yF4+rrhWzg9P01XMLwDUtCnO+Sc=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oPmcJ-0003CM-Hu; Sun, 21 Aug 2022 17:12:01 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Visuwesh <visuweshm@HIDDEN>
Subject: Re: bug#57320: 29.0.50; Lucid menus can't be operated with the mouse
In-Reply-To: <87mtbxfxco.fsf@HIDDEN> (Visuwesh's message of "Sun, 21 Aug
 2022 20:38:23 +0530")
References: <jwvmtbx3bez.fsf@HIDDEN>
 <87bksdk5eo.fsf@HIDDEN> <87mtbxfxco.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAFVBMVEXf8/whX6KOttql
 1voWOWRVoe7////Vi6ViAAAAAWJLR0QGYWa4fQAAAAd0SU1FB+YIFQ46Bp0q6BUAAAGESURBVDjL
 dZRBjsMgDEWROIGlsp8asUdYPUCkzgEC8v2vMtiGkCgZL2jL0/e3HafO/RfQA0kiX8G3R2glMdMN
 bBx9V7gn4G73AkBAfgChp/cPik0APYKW3a3aDiCQpwewAWt/t3IBuD52vkFgjmeJP4GKS+JdXkA1
 A+SjKhjATeBHH5preXiTSoOBSzuVS0cffAGHuXhTO3c4gFife88mU/CJZQE1965b1GrbQH4NREFL
 GL3PJnln9IjVFJiqHyZ+g+/+hd8OAmPEJPVqbkIs5SeSLFx3T1ivT0QBhJ2DlDzuRGlAomLM1oMO
 UUHYJV+jMVbFw0OPOFz88JCJiCzitM8K+q/Ekq7NoehSkn7RVFhjIrfMhSqI/RWJVlW+gMYcGi1z
 OaTckHgP9lYt2kHQ2rjNkRSBHxHUpDiOx5Hk2E+Abd2Ixz1Yl/KRrQNX9B44KQi2k1R4Tjfwvk3S
 0WeCl2WyZMzIu4KXbPY2pRowwSZ/HUsD4LDHGy6haa2dMjbueOqIf76IgMegAsrxAAAAJXRFWHRk
 YXRlOmNyZWF0ZQAyMDIyLTA4LTIxVDE0OjU4OjA2KzAwOjAwDd/hzQAAACV0RVh0ZGF0ZTptb2Rp
 ZnkAMjAyMi0wOC0yMVQxNDo1ODowNiswMDowMHyCWXEAAAAASUVORK5CYII=
X-Now-Playing: Pulse's _Remix_: "Memory Without Consequence (Reflections
 Confused Bits)"
Date: Sun, 21 Aug 2022 17:11:58 +0200
Message-ID: <877d31k4w1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Visuwesh <visuweshm@HIDDEN> writes: > In GNU Emacs 29.0.50
 (build 6, x86_64-pc-linux-gnu, X toolkit, Xaw scroll bars) > of 2022-08-21
 built on astatine > Repository revision:
 ae2199258f6eba3a8a066616dad1a7bf666ec8be
 > Repository branch: [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57320
Cc: Stefan <monnier@HIDDEN>, 57320 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Visuwesh <visuweshm@HIDDEN> writes:

> In GNU Emacs 29.0.50 (build 6, x86_64-pc-linux-gnu, X toolkit, Xaw scroll bars)
>  of 2022-08-21 built on astatine
> Repository revision: ae2199258f6eba3a8a066616dad1a7bf666ec8be
> Repository branch: master
> Windowing system distributor 'The X.Org Foundation', version 11.0.12101003
> System Description: Debian GNU/Linux bookworm/sid
>
> Configured using:
>  'configure --with-sound=alsa --with-x-toolkit=lucid --with-json
>  --without-xaw3d --without-gconf --without-libsystemd --without-cairo'

The difference seems to be the --without-cairo?  I have:

In GNU Emacs 29.0.50 (build 22, x86_64-pc-linux-gnu, X toolkit, cairo version 1.16.0, Xaw3d scroll bars)
 of 2022-08-21 built on joga
Repository revision: a6ccb82fdaacb731295545f867765d60726c5044
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12101003
System Description: Ubuntu 22.04 LTS

Let's see...

Yes, with

./configure --with-x-toolkit=lucid --without-cairo 

I can reproduce the problem.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57320; Package emacs. Full text available.

Message received at 57320 <at> debbugs.gnu.org:


Received: (at 57320) by debbugs.gnu.org; 21 Aug 2022 15:08:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 21 11:08:41 2022
Received: from localhost ([127.0.0.1]:36518 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oPmZ7-0001Yb-E8
	for submit <at> debbugs.gnu.org; Sun, 21 Aug 2022 11:08:41 -0400
Received: from mail-pl1-f195.google.com ([209.85.214.195]:38806)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <visuweshm@HIDDEN>) id 1oPmZ3-0001YI-6e
 for 57320 <at> debbugs.gnu.org; Sun, 21 Aug 2022 11:08:40 -0400
Received: by mail-pl1-f195.google.com with SMTP id x19so7888926plc.5
 for <57320 <at> debbugs.gnu.org>; Sun, 21 Aug 2022 08:08:37 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:user-agent:message-id:date
 :references:in-reply-to:subject:cc:to:from:from:to:cc;
 bh=BaDHmbBlGPFMA4bZx6dNAK1GcWDCULuc48qH/QebWbE=;
 b=n+tiAFIGID1vRa1T+A8IydBzbkLexJSq1InGR8icrUqDR8xZFWAuQ4YN7VN3OJOdwv
 LBYCGC0wq19mfIaauVD6knQDk/XlCzdDVD4TGmz1PCw/zLFujQPW1Bru7Mq07vWyY4oN
 aD9cGTaKx6NLL2p444GrZ7IkcyFgSN5jH6110nQKkdanOM/wYvl687B287hbBL9ORHam
 4YhSIpRc1gWqKNZX8EjqMzABAao4hVFk9yhtd/tVpcIHIKeQ+RiFUS6PsXLkIukPA++Q
 tEH8tm5GRiFjGVty3XjP+YodNJUZPb4/GZnsRprDEZ62CTNZa5fCabaTvqvcJ+A0YhUX
 LOgQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:user-agent:message-id:date
 :references:in-reply-to:subject:cc:to:from:x-gm-message-state:from
 :to:cc;
 bh=BaDHmbBlGPFMA4bZx6dNAK1GcWDCULuc48qH/QebWbE=;
 b=lNL6yMIA0dk/h/P2MlmqbA2055TOz04sW0C3wPq+pzR4mh4rop55BkX9ZshI2iW7ps
 g2CeKof/UQa1lxZVBb7wCQ0xrqZkkxmpuAvYYzDubui+Po5S2IYe5cSiIiDuJubtAGl3
 UaGRpNRlUi13OB9wlb5/T5d6wWuIfioxFHi71SCcbWkXMJ74EPhEe5TyyUXtYbUEnui+
 DBM9O+tc/L4O1lAX1raO6VS+24PMt/2EkqnwEeHlTlXZqM0TfjYYBr7/TiSlxboXaizV
 H19nYtrwZzitGglLCsryYfDlnI80AS+0NzCyEZlwjzav1QUIpSrisNdnvczZEdIY+Bpb
 YdOA==
X-Gm-Message-State: ACgBeo3jh62djo2xQBm3L87TQW0ChmUZcGFMiO0A5PIG7i6/0eU/77Z8
 iyBmexBqSurVhynjlTmgySU=
X-Google-Smtp-Source: AA6agR6hLaDf9Ol8R/p0GbuXOgFpI4SKZU6iGtLmCbyBmqVkz4iamOr9BQpYxn6eOQMgjo1QFlPl+A==
X-Received: by 2002:a17:902:be02:b0:172:d409:e057 with SMTP id
 r2-20020a170902be0200b00172d409e057mr6588769pls.90.1661094511455; 
 Sun, 21 Aug 2022 08:08:31 -0700 (PDT)
Received: from localhost ([115.240.90.130]) by smtp.gmail.com with ESMTPSA id
 n28-20020aa7985c000000b0052e6854e665sm6830626pfq.109.2022.08.21.08.08.30
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 21 Aug 2022 08:08:30 -0700 (PDT)
From: Visuwesh <visuweshm@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#57320: 29.0.50; Lucid menus can't be operated with the mouse
In-Reply-To: <87bksdk5eo.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sun,
 21 Aug 2022 17:00:47 +0200")
References: <jwvmtbx3bez.fsf@HIDDEN>
 <87bksdk5eo.fsf@HIDDEN>
Date: Sun, 21 Aug 2022 20:38:23 +0530
Message-ID: <87mtbxfxco.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57320
Cc: Stefan <monnier@HIDDEN>, 57320 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

[=E0=AE=9E=E0=AE=BE=E0=AE=AF=E0=AE=BF=E0=AE=B1=E0=AF=81 =E0=AE=86=E0=AE=95=
=E0=AE=B8=E0=AF=8D=E0=AE=9F=E0=AF=8D 21, 2022] Lars Ingebrigtsen wrote:

>
> Stefan via "Bug reports for GNU Emacs, the Swiss army knife of text
> editors" <bug-gnu-emacs@HIDDEN> writes:
>
>> - The menu entries are not highlighted as I move the mouse over
>>   them, and submenus don't popup as I move the mouse over them.
>> - If I mouse-click on an entry in a menu, the menu is not removed and
>>   the corresponding command is not run.  Instead I get my window
>>   manager's "root menu" (i.e. the menu I get when I click in the
>>   background) popup on top of the Lucid menu.
>>   Same happens if I click on a menu entry which is a submenu.
>
> This is with
>
> ./configure --with-x-toolkit=3Dlucid
>
> ?
>
> In that case, I can't reproduce these issues -- the menus work fine for
> me.  (On the current Ubuntu, under X.)

Weird.  I have broken menus as well.  At some point, this problem went
away but it is back again.  Apart from the stuff Stefan mentioned, I
can't click outside of the popup menu and the menubar to make it go
away.  Here's what M-x report-emacs-bug says,


In GNU Emacs 29.0.50 (build 6, x86_64-pc-linux-gnu, X toolkit, Xaw scroll b=
ars)
 of 2022-08-21 built on astatine
Repository revision: ae2199258f6eba3a8a066616dad1a7bf666ec8be
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12101003
System Description: Debian GNU/Linux bookworm/sid

Configured using:
 'configure --with-sound=3Dalsa --with-x-toolkit=3Dlucid --with-json
 --without-xaw3d --without-gconf --without-libsystemd --without-cairo'

Configured features:
ACL DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG JSON
LIBOTF LIBSELINUX LIBXML2 MODULES NOTIFY INOTIFY PDUMPER PNG RSVG
SECCOMP SOUND SQLITE3 THREADS TIFF TOOLKIT_SCROLL_BARS WEBP X11 XDBE XFT
XIM XINPUT2 XPM LUCID ZLIB

Important settings:
  value of $LC_MONETARY: ta_IN.UTF-8
  value of $LC_NUMERIC: ta_IN.UTF-8
  value of $LANG: en_GB.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  line-number-mode: t
  indent-tabs-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message mailcap yank-media puny dired
dired-loaddefs rfc822 mml mml-sec password-cache epa derived epg rfc6068
epg-config gnus-util text-property-search time-date subr-x mm-decode
mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader
cl-loaddefs cl-lib sendmail rfc2047 rfc2045 ietf-drums mm-util
mail-prsvr mail-utils rmc iso-transl tooltip eldoc paren electric
uniquify ediff-hook vc-hooks lisp-float-type elisp-mode mwheel
term/x-win x-win term/common-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch easymenu
timer select scroll-bar mouse jit-lock font-lock syntax font-core
term/tty-colors frame minibuffer nadvice seq simple cl-generic
indonesian philippine cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
composite emoji-zwj charscript charprop case-table epa-hook
jka-cmpr-hook help abbrev obarray oclosure cl-preloaded button loaddefs
faces cus-face macroexp files window text-properties overlay sha1 md5
base64 format env code-pages mule custom widget keymap
hashtable-print-readable backquote threads dbusbind inotify
dynamic-setting system-font-setting font-render-setting x-toolkit
xinput2 x multi-tty make-network-process emacs)

Memory information:
((conses 16 36329 6922)
 (symbols 48 5089 0)
 (strings 32 13827 1642)
 (string-bytes 1 377099)
 (vectors 16 9213)
 (vector-slots 8 145564 11271)
 (floats 8 23 25)
 (intervals 56 233 0)
 (buffers 992 10))




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57320; Package emacs. Full text available.

Message received at 57320 <at> debbugs.gnu.org:


Received: (at 57320) by debbugs.gnu.org; 21 Aug 2022 15:01:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 21 11:01:01 2022
Received: from localhost ([127.0.0.1]:36509 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oPmRh-0001NY-8x
	for submit <at> debbugs.gnu.org; Sun, 21 Aug 2022 11:01:01 -0400
Received: from quimby.gnus.org ([95.216.78.240]:43280)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oPmRd-0001NJ-DV
 for 57320 <at> debbugs.gnu.org; Sun, 21 Aug 2022 11:01:00 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=1Ukh+H9sQHKRqV6JrjxC/GzqB7LYLYDag9UEWxUZol8=; b=eCFSpq7dNdaUj6BIjBL12S+7ov
 +Z7/mYWOAQ1lKMlD0wYSMceB3FC7/8+xGH8cn8zn2x7KuHYUJZwrXjNLRE21P5tReBjQtLYadvDPC
 xqDUsZ+MufPz9wp3YEl8/DtVI6J99wTONyuE/L3nhHdf/oVoJkuif5PbliifGOOM+Ux0=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oPmRT-00035Q-L8; Sun, 21 Aug 2022 17:00:49 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: 57320 <at> debbugs.gnu.org
Subject: Re: bug#57320: 29.0.50; Lucid menus can't be operated with the mouse
In-Reply-To: <jwvmtbx3bez.fsf@HIDDEN> (Stefan
 via's message of "Sun, 21 Aug 2022 10:43:00 -0400")
References: <jwvmtbx3bez.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAFVBMVEXf8/whX6KOttql
 1voWOWRVoe7////Vi6ViAAAAAWJLR0QGYWa4fQAAAAd0SU1FB+YIFQ46Bp0q6BUAAAGESURBVDjL
 dZRBjsMgDEWROIGlsp8asUdYPUCkzgEC8v2vMtiGkCgZL2jL0/e3HafO/RfQA0kiX8G3R2glMdMN
 bBx9V7gn4G73AkBAfgChp/cPik0APYKW3a3aDiCQpwewAWt/t3IBuD52vkFgjmeJP4GKS+JdXkA1
 A+SjKhjATeBHH5preXiTSoOBSzuVS0cffAGHuXhTO3c4gFife88mU/CJZQE1965b1GrbQH4NREFL
 GL3PJnln9IjVFJiqHyZ+g+/+hd8OAmPEJPVqbkIs5SeSLFx3T1ivT0QBhJ2DlDzuRGlAomLM1oMO
 UUHYJV+jMVbFw0OPOFz88JCJiCzitM8K+q/Ekq7NoehSkn7RVFhjIrfMhSqI/RWJVlW+gMYcGi1z
 OaTckHgP9lYt2kHQ2rjNkRSBHxHUpDiOx5Hk2E+Abd2Ixz1Yl/KRrQNX9B44KQi2k1R4Tjfwvk3S
 0WeCl2WyZMzIu4KXbPY2pRowwSZ/HUsD4LDHGy6haa2dMjbueOqIf76IgMegAsrxAAAAJXRFWHRk
 YXRlOmNyZWF0ZQAyMDIyLTA4LTIxVDE0OjU4OjA2KzAwOjAwDd/hzQAAACV0RVh0ZGF0ZTptb2Rp
 ZnkAMjAyMi0wOC0yMVQxNDo1ODowNiswMDowMHyCWXEAAAAASUVORK5CYII=
X-Now-Playing: Pulse's _Remix_: "The Choice (Reinforced Mix)"
Date: Sun, 21 Aug 2022 17:00:47 +0200
Message-ID: <87bksdk5eo.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Stefan via "Bug reports for GNU Emacs, the Swiss army knife
 of text editors" <bug-gnu-emacs@HIDDEN> writes: > - The menu entries are
 not highlighted as I move the mouse over > them, and submenus don't popup
 as I move the mouse over them. > - If I mouse-click on an entry in a menu,
 the menu is not removed an [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57320
Cc: Stefan <monnier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Stefan via "Bug reports for GNU Emacs, the Swiss army knife of text
editors" <bug-gnu-emacs@HIDDEN> writes:

> - The menu entries are not highlighted as I move the mouse over
>   them, and submenus don't popup as I move the mouse over them.
> - If I mouse-click on an entry in a menu, the menu is not removed and
>   the corresponding command is not run.  Instead I get my window
>   manager's "root menu" (i.e. the menu I get when I click in the
>   background) popup on top of the Lucid menu.
>   Same happens if I click on a menu entry which is a submenu.

This is with

./configure --with-x-toolkit=lucid

?

In that case, I can't reproduce these issues -- the menus work fine for
me.  (On the current Ubuntu, under X.)





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57320; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 21 Aug 2022 14:43:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 21 10:43:20 2022
Received: from localhost ([127.0.0.1]:36443 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oPmAZ-00077v-Tz
	for submit <at> debbugs.gnu.org; Sun, 21 Aug 2022 10:43:20 -0400
Received: from lists.gnu.org ([209.51.188.17]:43892)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1oPmAW-00077m-Md
 for submit <at> debbugs.gnu.org; Sun, 21 Aug 2022 10:43:18 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:52570)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <monnier@HIDDEN>)
 id 1oPmAW-00088Y-Hw
 for bug-gnu-emacs@HIDDEN; Sun, 21 Aug 2022 10:43:16 -0400
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:8876)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <monnier@HIDDEN>)
 id 1oPmAT-0003Bo-Sp
 for bug-gnu-emacs@HIDDEN; Sun, 21 Aug 2022 10:43:15 -0400
Received: from pmg2.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id 37B1C8045E
 for <bug-gnu-emacs@HIDDEN>; Sun, 21 Aug 2022 10:43:12 -0400 (EDT)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id D69468051A
 for <bug-gnu-emacs@HIDDEN>; Sun, 21 Aug 2022 10:43:09 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1661092989;
 bh=RZ7EhXGYRe/9gR7dMJBaQEb34RruyM0ipgmn7wQn9Sk=;
 h=From:To:Subject:Date:From;
 b=mFyhuW/03gWnz5qLUDhfDZFs5w2ryqfqCqfy+fIp1JsGrDD1VjQgExG8mOIJzDtRp
 9ZyyDxXpySLaMEgTMNjnZF2ihU1GKQEC7a3DIsx8/iCY4AIMOcdhapBpxrlA8c00E/
 +iPCOcyEacSIXW4Dftntkkz3MNZkJv/8HVtnjiUf4Es6ugiCR3fyHPByCdWuG0AFX7
 AJzOJfLaBQD+0Cy5WjwWo6qoe5d1BdSmaEame6jxT2k/39e0mnIaF/YRqjUbcuRGeu
 0pC5j/7np8ebCB/gMY/mcg8fUsznw3Xg+aBNTDm4ZTlx7ewgOkdqz0zYQgRgG3M4mw
 mWMw7x9y4OMjA==
Received: from pastel (unknown [45.72.195.111])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 66F711203F4
 for <bug-gnu-emacs@HIDDEN>; Sun, 21 Aug 2022 10:43:09 -0400 (EDT)
From: Stefan <monnier@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 29.0.50; Lucid menus can't be operated with the mouse
Date: Sun, 21 Aug 2022 10:43:00 -0400
Message-ID: <jwvmtbx3bez.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL -0.058 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain T_SCC_BODY_TEXT_LINE    -0.01 -
X-SPAM-LEVEL: 
Received-SPF: pass client-ip=132.204.25.50;
 envelope-from=monnier@HIDDEN; helo=mailscanner.iro.umontreal.ca
X-Spam_score_int: -42
X-Spam_score: -4.3
X-Spam_bar: ----
X-Spam_report: (-4.3 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, RCVD_IN_DNSWL_MED=-2.3,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


Menus stopped working recently when operated with the mouse.
What works:

- I can click on the menu bar, and that brings down the corresponding
  menu.
- I can use the arrow keys and the RET key to move in the menus and
  select a particular entry.
- I can move the mouse to select another menu.

What doesn't:

- The menu entries are not highlighted as I move the mouse over
  them, and submenus don't popup as I move the mouse over them.
- If I mouse-click on an entry in a menu, the menu is not removed and
  the corresponding command is not run.  Instead I get my window
  manager's "root menu" (i.e. the menu I get when I click in the
  background) popup on top of the Lucid menu.
  Same happens if I click on a menu entry which is a submenu.

The behavior is basically the same for popup menus, except that in popup
menus the submenus do popup as I move the mouse over them and if I click
on an entry which is a submenu the menu is popped down.


        Stefan



In GNU Emacs 29.0.50 (build 1, x86_64-pc-linux-gnu, X toolkit, cairo version 1.16.0, Xaw3d scroll bars)
 of 2022-08-20 built on pastel
Repository revision: 07c04da01016cd81e064a06b2449892eff7c8da0
Repository branch: main
Windowing system distributor 'The X.Org Foundation', version 11.0.12011000
System Description: Debian GNU/Linux 11 (bullseye)

Configured using:
 'configure -C --enable-checking --enable-check-lisp-object-type
 --with-modules --with-cairo --with-tiff=ifavailable
 --with-native-compilation 'CFLAGS=-Wall -g3 -Og -Wno-pointer-sign'
 PKG_CONFIG_PATH=/home/monnier/lib/pkgconfig'

Configured features:
CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
LIBSELINUX LIBXML2 MODULES NATIVE_COMP NOTIFY INOTIFY PDUMPER PNG
SECCOMP SOUND THREADS TOOLKIT_SCROLL_BARS X11 XAW3D XDBE XIM XINPUT2 XPM
LUCID ZLIB

Important settings:
  value of $LANG: fr_CH.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  line-number-mode: t
  indent-tabs-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message mailcap yank-media puny dired
dired-loaddefs rfc822 mml mml-sec password-cache epa derived epg rfc6068
epg-config gnus-util text-property-search time-date mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail
rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils comp comp-cstr
warnings icons subr-x rx cl-seq cl-macs gv cl-extra help-mode
cl-loaddefs cl-lib bytecomp byte-compile cconv rmc iso-transl tooltip
eldoc paren electric uniquify ediff-hook vc-hooks lisp-float-type
elisp-mode mwheel term/x-win x-win term/common-win x-dnd tool-bar dnd
fontset image regexp-opt fringe tabulated-list replace newcomment
text-mode lisp-mode prog-mode register page tab-bar menu-bar rfn-eshadow
isearch easymenu timer select scroll-bar mouse jit-lock font-lock syntax
font-core term/tty-colors frame minibuffer nadvice seq simple cl-generic
indonesian philippine cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
composite emoji-zwj charscript charprop case-table epa-hook
jka-cmpr-hook help abbrev obarray oclosure cl-preloaded button loaddefs
faces cus-face macroexp files window text-properties overlay sha1 md5
base64 format env code-pages mule custom widget keymap
hashtable-print-readable backquote threads dbusbind inotify
dynamic-setting system-font-setting font-render-setting cairo x-toolkit
xinput2 x multi-tty make-network-process native-compile emacs)

Memory information:
((conses 16 70864 9520)
 (symbols 48 7085 0)
 (strings 32 22150 3115)
 (string-bytes 1 729575)
 (vectors 16 17487)
 (vector-slots 8 252019 14476)
 (floats 8 31 35)
 (intervals 56 239 0)
 (buffers 992 11))





Acknowledgement sent to Stefan <monnier@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#57320; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 6 Sep 2022 10:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.